XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

xinput.h
1 /*
2 * This file generated automatically from xinput.xml by c_client.py.
3 * Edit at your peril.
4 */
5
12 #ifndef __XINPUT_H
13 #define __XINPUT_H
14
15 #include "xcb.h"
16 #include "xproto.h"
17
18 #ifdef __cplusplus
19 extern "C" {
20 #endif
21
22 #define XCB_INPUT_MAJOR_VERSION 1
23 #define XCB_INPUT_MINOR_VERSION 4
24
25 extern xcb_extension_t xcb_input_id;
26
27 typedef uint8_t xcb_input_key_code_t;
28
32 typedef struct xcb_input_key_code_iterator_t {
33 xcb_input_key_code_t *data;
34 int rem;
35 int index;
36 } xcb_input_key_code_iterator_t;
37
38 typedef uint32_t xcb_input_event_class_t;
39
43 typedef struct xcb_input_event_class_iterator_t {
44 xcb_input_event_class_t *data;
45 int rem;
46 int index;
47 } xcb_input_event_class_iterator_t;
48
49 typedef enum xcb_input_valuator_mode_t {
50 XCB_INPUT_VALUATOR_MODE_RELATIVE = 0,
51 XCB_INPUT_VALUATOR_MODE_ABSOLUTE = 1
52 } xcb_input_valuator_mode_t;
53
54 typedef enum xcb_input_propagate_mode_t {
55 XCB_INPUT_PROPAGATE_MODE_ADD_TO_LIST = 0,
56 XCB_INPUT_PROPAGATE_MODE_DELETE_FROM_LIST = 1
57 } xcb_input_propagate_mode_t;
58
62 typedef struct xcb_input_get_extension_version_cookie_t {
63 unsigned int sequence;
64 } xcb_input_get_extension_version_cookie_t;
65
67 #define XCB_INPUT_GET_EXTENSION_VERSION 1
68
72 typedef struct xcb_input_get_extension_version_request_t {
73 uint8_t major_opcode;
74 uint8_t minor_opcode;
75 uint16_t length;
76 uint16_t name_len;
77 uint8_t pad0[2];
78 } xcb_input_get_extension_version_request_t;
79
83 typedef struct xcb_input_get_extension_version_reply_t {
84 uint8_t response_type;
85 uint8_t pad0;
86 uint16_t sequence;
87 uint32_t length;
88 uint16_t server_major;
89 uint16_t server_minor;
90 uint8_t present;
91 uint8_t pad1[19];
92 } xcb_input_get_extension_version_reply_t;
93
94 typedef enum xcb_input_device_use_t {
95 XCB_INPUT_DEVICE_USE_IS_X_POINTER = 0,
96 XCB_INPUT_DEVICE_USE_IS_X_KEYBOARD = 1,
97 XCB_INPUT_DEVICE_USE_IS_X_EXTENSION_DEVICE = 2,
98 XCB_INPUT_DEVICE_USE_IS_X_EXTENSION_KEYBOARD = 3,
99 XCB_INPUT_DEVICE_USE_IS_X_EXTENSION_POINTER = 4
100 } xcb_input_device_use_t;
101
105 typedef struct xcb_input_device_info_t {
106 xcb_atom_t device_type;
107 uint8_t device_id;
108 uint8_t num_class_info;
109 uint8_t device_use;
110 uint8_t pad0;
111 } xcb_input_device_info_t;
112
116 typedef struct xcb_input_device_info_iterator_t {
117 xcb_input_device_info_t *data;
118 int rem;
119 int index;
120 } xcb_input_device_info_iterator_t;
121
125 typedef struct xcb_input_list_input_devices_cookie_t {
126 unsigned int sequence;
127 } xcb_input_list_input_devices_cookie_t;
128
130 #define XCB_INPUT_LIST_INPUT_DEVICES 2
131
135 typedef struct xcb_input_list_input_devices_request_t {
136 uint8_t major_opcode;
137 uint8_t minor_opcode;
138 uint16_t length;
139 } xcb_input_list_input_devices_request_t;
140
144 typedef struct xcb_input_list_input_devices_reply_t {
145 uint8_t response_type;
146 uint8_t pad0;
147 uint16_t sequence;
148 uint32_t length;
149 uint8_t devices_len;
150 uint8_t pad1[23];
151 } xcb_input_list_input_devices_reply_t;
152
153 typedef enum xcb_input_input_class_t {
154 XCB_INPUT_INPUT_CLASS_KEY = 0,
155 XCB_INPUT_INPUT_CLASS_BUTTON = 1,
156 XCB_INPUT_INPUT_CLASS_VALUATOR = 2,
157 XCB_INPUT_INPUT_CLASS_FEEDBACK = 3,
158 XCB_INPUT_INPUT_CLASS_PROXIMITY = 4,
159 XCB_INPUT_INPUT_CLASS_FOCUS = 5,
160 XCB_INPUT_INPUT_CLASS_OTHER = 6
161 } xcb_input_input_class_t;
162
166 typedef struct xcb_input_input_info_t {
167 uint8_t class_id;
168 uint8_t len;
169 } xcb_input_input_info_t;
170
174 typedef struct xcb_input_input_info_iterator_t {
175 xcb_input_input_info_t *data;
176 int rem;
177 int index;
178 } xcb_input_input_info_iterator_t;
179
183 typedef struct xcb_input_key_info_t {
184 uint8_t class_id;
185 uint8_t len;
186 xcb_input_key_code_t min_keycode;
187 xcb_input_key_code_t max_keycode;
188 uint16_t num_keys;
189 uint8_t pad0[2];
190 } xcb_input_key_info_t;
191
195 typedef struct xcb_input_key_info_iterator_t {
196 xcb_input_key_info_t *data;
197 int rem;
198 int index;
199 } xcb_input_key_info_iterator_t;
200
204 typedef struct xcb_input_button_info_t {
205 uint8_t class_id;
206 uint8_t len;
207 uint16_t num_buttons;
208 } xcb_input_button_info_t;
209
213 typedef struct xcb_input_button_info_iterator_t {
214 xcb_input_button_info_t *data;
215 int rem;
216 int index;
217 } xcb_input_button_info_iterator_t;
218
222 typedef struct xcb_input_axis_info_t {
223 uint32_t resolution;
224 int32_t minimum;
225 int32_t maximum;
226 } xcb_input_axis_info_t;
227
231 typedef struct xcb_input_axis_info_iterator_t {
232 xcb_input_axis_info_t *data;
233 int rem;
234 int index;
235 } xcb_input_axis_info_iterator_t;
236
240 typedef struct xcb_input_valuator_info_t {
241 uint8_t class_id;
242 uint8_t len;
243 uint8_t axes_len;
244 uint8_t mode;
245 uint32_t motion_size;
246 } xcb_input_valuator_info_t;
247
251 typedef struct xcb_input_valuator_info_iterator_t {
252 xcb_input_valuator_info_t *data;
253 int rem;
254 int index;
255 } xcb_input_valuator_info_iterator_t;
256
260 typedef struct xcb_input_input_class_info_t {
261 uint8_t class_id;
262 uint8_t event_type_base;
263 } xcb_input_input_class_info_t;
264
268 typedef struct xcb_input_input_class_info_iterator_t {
269 xcb_input_input_class_info_t *data;
270 int rem;
271 int index;
272 } xcb_input_input_class_info_iterator_t;
273
277 typedef struct xcb_input_open_device_cookie_t {
278 unsigned int sequence;
279 } xcb_input_open_device_cookie_t;
280
282 #define XCB_INPUT_OPEN_DEVICE 3
283
287 typedef struct xcb_input_open_device_request_t {
288 uint8_t major_opcode;
289 uint8_t minor_opcode;
290 uint16_t length;
291 uint8_t device_id;
292 uint8_t pad0[3];
293 } xcb_input_open_device_request_t;
294
298 typedef struct xcb_input_open_device_reply_t {
299 uint8_t response_type;
300 uint8_t pad0;
301 uint16_t sequence;
302 uint32_t length;
303 uint8_t num_classes;
304 uint8_t pad1[23];
305 } xcb_input_open_device_reply_t;
306
308 #define XCB_INPUT_CLOSE_DEVICE 4
309
313 typedef struct xcb_input_close_device_request_t {
314 uint8_t major_opcode;
315 uint8_t minor_opcode;
316 uint16_t length;
317 uint8_t device_id;
318 uint8_t pad0[3];
319 } xcb_input_close_device_request_t;
320
324 typedef struct xcb_input_set_device_mode_cookie_t {
325 unsigned int sequence;
326 } xcb_input_set_device_mode_cookie_t;
327
329 #define XCB_INPUT_SET_DEVICE_MODE 5
330
334 typedef struct xcb_input_set_device_mode_request_t {
335 uint8_t major_opcode;
336 uint8_t minor_opcode;
337 uint16_t length;
338 uint8_t device_id;
339 uint8_t mode;
340 uint8_t pad0[2];
341 } xcb_input_set_device_mode_request_t;
342
346 typedef struct xcb_input_set_device_mode_reply_t {
347 uint8_t response_type;
348 uint8_t pad0;
349 uint16_t sequence;
350 uint32_t length;
351 uint8_t status;
352 uint8_t pad1[23];
353 } xcb_input_set_device_mode_reply_t;
354
356 #define XCB_INPUT_SELECT_EXTENSION_EVENT 6
357
361 typedef struct xcb_input_select_extension_event_request_t {
362 uint8_t major_opcode;
363 uint8_t minor_opcode;
364 uint16_t length;
365 xcb_window_t window;
366 uint16_t num_classes;
367 uint8_t pad0[2];
368 } xcb_input_select_extension_event_request_t;
369
373 typedef struct xcb_input_get_selected_extension_events_cookie_t {
374 unsigned int sequence;
375 } xcb_input_get_selected_extension_events_cookie_t;
376
378 #define XCB_INPUT_GET_SELECTED_EXTENSION_EVENTS 7
379
383 typedef struct xcb_input_get_selected_extension_events_request_t {
384 uint8_t major_opcode;
385 uint8_t minor_opcode;
386 uint16_t length;
387 xcb_window_t window;
388 } xcb_input_get_selected_extension_events_request_t;
389
393 typedef struct xcb_input_get_selected_extension_events_reply_t {
394 uint8_t response_type;
395 uint8_t pad0;
396 uint16_t sequence;
397 uint32_t length;
398 uint16_t num_this_classes;
399 uint16_t num_all_classes;
400 uint8_t pad1[20];
401 } xcb_input_get_selected_extension_events_reply_t;
402
404 #define XCB_INPUT_CHANGE_DEVICE_DONT_PROPAGATE_LIST 8
405
409 typedef struct xcb_input_change_device_dont_propagate_list_request_t {
410 uint8_t major_opcode;
411 uint8_t minor_opcode;
412 uint16_t length;
413 xcb_window_t window;
414 uint16_t num_classes;
415 uint8_t mode;
416 uint8_t pad0;
417 } xcb_input_change_device_dont_propagate_list_request_t;
418
422 typedef struct xcb_input_get_device_dont_propagate_list_cookie_t {
423 unsigned int sequence;
424 } xcb_input_get_device_dont_propagate_list_cookie_t;
425
427 #define XCB_INPUT_GET_DEVICE_DONT_PROPAGATE_LIST 9
428
432 typedef struct xcb_input_get_device_dont_propagate_list_request_t {
433 uint8_t major_opcode;
434 uint8_t minor_opcode;
435 uint16_t length;
436 xcb_window_t window;
437 } xcb_input_get_device_dont_propagate_list_request_t;
438
442 typedef struct xcb_input_get_device_dont_propagate_list_reply_t {
443 uint8_t response_type;
444 uint8_t pad0;
445 uint16_t sequence;
446 uint32_t length;
447 uint16_t num_classes;
448 uint8_t pad1[22];
449 } xcb_input_get_device_dont_propagate_list_reply_t;
450
454 typedef struct xcb_input_get_device_motion_events_cookie_t {
455 unsigned int sequence;
456 } xcb_input_get_device_motion_events_cookie_t;
457
459 #define XCB_INPUT_GET_DEVICE_MOTION_EVENTS 10
460
464 typedef struct xcb_input_get_device_motion_events_request_t {
465 uint8_t major_opcode;
466 uint8_t minor_opcode;
467 uint16_t length;
468 xcb_timestamp_t start;
469 xcb_timestamp_t stop;
470 uint8_t device_id;
471 } xcb_input_get_device_motion_events_request_t;
472
476 typedef struct xcb_input_get_device_motion_events_reply_t {
477 uint8_t response_type;
478 uint8_t pad0;
479 uint16_t sequence;
480 uint32_t length;
481 uint32_t num_coords;
482 uint8_t num_axes;
483 uint8_t device_mode;
484 uint8_t pad1[18];
485 } xcb_input_get_device_motion_events_reply_t;
486
490 typedef struct xcb_input_device_time_coord_t {
491 xcb_timestamp_t time;
492 } xcb_input_device_time_coord_t;
493
497 typedef struct xcb_input_device_time_coord_iterator_t {
498 xcb_input_device_time_coord_t *data;
499 int rem;
500 int index;
501 } xcb_input_device_time_coord_iterator_t;
502
506 typedef struct xcb_input_change_keyboard_device_cookie_t {
507 unsigned int sequence;
508 } xcb_input_change_keyboard_device_cookie_t;
509
511 #define XCB_INPUT_CHANGE_KEYBOARD_DEVICE 11
512
516 typedef struct xcb_input_change_keyboard_device_request_t {
517 uint8_t major_opcode;
518 uint8_t minor_opcode;
519 uint16_t length;
520 uint8_t device_id;
521 uint8_t pad0[3];
522 } xcb_input_change_keyboard_device_request_t;
523
527 typedef struct xcb_input_change_keyboard_device_reply_t {
528 uint8_t response_type;
529 uint8_t pad0;
530 uint16_t sequence;
531 uint32_t length;
532 uint8_t status;
533 uint8_t pad1[23];
534 } xcb_input_change_keyboard_device_reply_t;
535
539 typedef struct xcb_input_change_pointer_device_cookie_t {
540 unsigned int sequence;
541 } xcb_input_change_pointer_device_cookie_t;
542
544 #define XCB_INPUT_CHANGE_POINTER_DEVICE 12
545
549 typedef struct xcb_input_change_pointer_device_request_t {
550 uint8_t major_opcode;
551 uint8_t minor_opcode;
552 uint16_t length;
553 uint8_t x_axis;
554 uint8_t y_axis;
555 uint8_t device_id;
556 uint8_t pad0;
557 } xcb_input_change_pointer_device_request_t;
558
562 typedef struct xcb_input_change_pointer_device_reply_t {
563 uint8_t response_type;
564 uint8_t pad0;
565 uint16_t sequence;
566 uint32_t length;
567 uint8_t status;
568 uint8_t pad1[23];
569 } xcb_input_change_pointer_device_reply_t;
570
574 typedef struct xcb_input_grab_device_cookie_t {
575 unsigned int sequence;
576 } xcb_input_grab_device_cookie_t;
577
579 #define XCB_INPUT_GRAB_DEVICE 13
580
584 typedef struct xcb_input_grab_device_request_t {
585 uint8_t major_opcode;
586 uint8_t minor_opcode;
587 uint16_t length;
588 xcb_window_t grab_window;
589 xcb_timestamp_t time;
590 uint16_t num_classes;
591 uint8_t this_device_mode;
592 uint8_t other_device_mode;
593 uint8_t owner_events;
594 uint8_t device_id;
595 uint8_t pad0[2];
596 } xcb_input_grab_device_request_t;
597
601 typedef struct xcb_input_grab_device_reply_t {
602 uint8_t response_type;
603 uint8_t pad0;
604 uint16_t sequence;
605 uint32_t length;
606 uint8_t status;
607 uint8_t pad1[23];
608 } xcb_input_grab_device_reply_t;
609
611 #define XCB_INPUT_UNGRAB_DEVICE 14
612
616 typedef struct xcb_input_ungrab_device_request_t {
617 uint8_t major_opcode;
618 uint8_t minor_opcode;
619 uint16_t length;
620 xcb_timestamp_t time;
621 uint8_t device_id;
622 } xcb_input_ungrab_device_request_t;
623
625 #define XCB_INPUT_GRAB_DEVICE_KEY 15
626
630 typedef struct xcb_input_grab_device_key_request_t {
631 uint8_t major_opcode;
632 uint8_t minor_opcode;
633 uint16_t length;
634 xcb_window_t grab_window;
635 uint16_t num_classes;
636 uint16_t modifiers;
637 uint8_t modifier_device;
638 uint8_t grabbed_device;
639 uint8_t key;
640 uint8_t this_device_mode;
641 uint8_t other_device_mode;
642 uint8_t owner_events;
643 uint8_t pad0[2];
644 } xcb_input_grab_device_key_request_t;
645
647 #define XCB_INPUT_UNGRAB_DEVICE_KEY 16
648
652 typedef struct xcb_input_ungrab_device_key_request_t {
653 uint8_t major_opcode;
654 uint8_t minor_opcode;
655 uint16_t length;
656 xcb_window_t grabWindow;
657 uint16_t modifiers;
658 uint8_t modifier_device;
659 uint8_t key;
660 uint8_t grabbed_device;
661 } xcb_input_ungrab_device_key_request_t;
662
664 #define XCB_INPUT_GRAB_DEVICE_BUTTON 17
665
669 typedef struct xcb_input_grab_device_button_request_t {
670 uint8_t major_opcode;
671 uint8_t minor_opcode;
672 uint16_t length;
673 xcb_window_t grab_window;
674 uint8_t grabbed_device;
675 uint8_t modifier_device;
676 uint16_t num_classes;
677 uint16_t modifiers;
678 uint8_t this_device_mode;
679 uint8_t other_device_mode;
680 uint8_t button;
681 uint8_t owner_events;
682 uint8_t pad0[2];
683 } xcb_input_grab_device_button_request_t;
684
686 #define XCB_INPUT_UNGRAB_DEVICE_BUTTON 18
687
691 typedef struct xcb_input_ungrab_device_button_request_t {
692 uint8_t major_opcode;
693 uint8_t minor_opcode;
694 uint16_t length;
695 xcb_window_t grab_window;
696 uint16_t modifiers;
697 uint8_t modifier_device;
698 uint8_t button;
699 uint8_t grabbed_device;
700 } xcb_input_ungrab_device_button_request_t;
701
702 typedef enum xcb_input_device_input_mode_t {
703 XCB_INPUT_DEVICE_INPUT_MODE_ASYNC_THIS_DEVICE,
704 XCB_INPUT_DEVICE_INPUT_MODE_SYNC_THIS_DEVICE,
705 XCB_INPUT_DEVICE_INPUT_MODE_REPLAY_THIS_DEVICE,
706 XCB_INPUT_DEVICE_INPUT_MODE_ASYNC_OTHER_DEVICES,
707 XCB_INPUT_DEVICE_INPUT_MODE_ASYNC_ALL,
708 XCB_INPUT_DEVICE_INPUT_MODE_SYNC_ALL
709 } xcb_input_device_input_mode_t;
710
712 #define XCB_INPUT_ALLOW_DEVICE_EVENTS 19
713
717 typedef struct xcb_input_allow_device_events_request_t {
718 uint8_t major_opcode;
719 uint8_t minor_opcode;
720 uint16_t length;
721 xcb_timestamp_t time;
722 uint8_t mode;
723 uint8_t device_id;
724 } xcb_input_allow_device_events_request_t;
725
729 typedef struct xcb_input_get_device_focus_cookie_t {
730 unsigned int sequence;
731 } xcb_input_get_device_focus_cookie_t;
732
734 #define XCB_INPUT_GET_DEVICE_FOCUS 20
735
739 typedef struct xcb_input_get_device_focus_request_t {
740 uint8_t major_opcode;
741 uint8_t minor_opcode;
742 uint16_t length;
743 uint8_t device_id;
744 uint8_t pad0[3];
745 } xcb_input_get_device_focus_request_t;
746
750 typedef struct xcb_input_get_device_focus_reply_t {
751 uint8_t response_type;
752 uint8_t pad0;
753 uint16_t sequence;
754 uint32_t length;
755 xcb_window_t focus;
756 xcb_timestamp_t time;
757 uint8_t revert_to;
758 uint8_t pad1[15];
759 } xcb_input_get_device_focus_reply_t;
760
762 #define XCB_INPUT_SET_DEVICE_FOCUS 21
763
767 typedef struct xcb_input_set_device_focus_request_t {
768 uint8_t major_opcode;
769 uint8_t minor_opcode;
770 uint16_t length;
771 xcb_window_t focus;
772 xcb_timestamp_t time;
773 uint8_t revert_to;
774 uint8_t device_id;
775 } xcb_input_set_device_focus_request_t;
776
780 typedef struct xcb_input_get_feedback_control_cookie_t {
781 unsigned int sequence;
782 } xcb_input_get_feedback_control_cookie_t;
783
785 #define XCB_INPUT_GET_FEEDBACK_CONTROL 22
786
790 typedef struct xcb_input_get_feedback_control_request_t {
791 uint8_t major_opcode;
792 uint8_t minor_opcode;
793 uint16_t length;
794 uint8_t device_id;
795 uint8_t pad0[3];
796 } xcb_input_get_feedback_control_request_t;
797
801 typedef struct xcb_input_get_feedback_control_reply_t {
802 uint8_t response_type;
803 uint8_t pad0;
804 uint16_t sequence;
805 uint32_t length;
806 uint16_t num_feedback;
807 uint8_t pad1[22];
808 } xcb_input_get_feedback_control_reply_t;
809
810 typedef enum xcb_input_feedback_class_t {
811 XCB_INPUT_FEEDBACK_CLASS_KEYBOARD,
812 XCB_INPUT_FEEDBACK_CLASS_POINTER,
813 XCB_INPUT_FEEDBACK_CLASS_STRING,
814 XCB_INPUT_FEEDBACK_CLASS_INTEGER,
815 XCB_INPUT_FEEDBACK_CLASS_LED,
816 XCB_INPUT_FEEDBACK_CLASS_BELL
817 } xcb_input_feedback_class_t;
818
822 typedef struct xcb_input_feedback_state_t {
823 uint8_t class_id;
824 uint8_t id;
825 uint16_t len;
826 } xcb_input_feedback_state_t;
827
831 typedef struct xcb_input_feedback_state_iterator_t {
832 xcb_input_feedback_state_t *data;
833 int rem;
834 int index;
835 } xcb_input_feedback_state_iterator_t;
836
840 typedef struct xcb_input_kbd_feedback_state_t {
841 uint8_t class_id;
842 uint8_t id;
843 uint16_t len;
844 uint16_t pitch;
845 uint16_t duration;
846 uint32_t led_mask;
847 uint32_t led_values;
848 uint8_t global_auto_repeat;
849 uint8_t click;
850 uint8_t percent;
851 uint8_t pad0;
852 uint8_t auto_repeats[32];
853 } xcb_input_kbd_feedback_state_t;
854
858 typedef struct xcb_input_kbd_feedback_state_iterator_t {
859 xcb_input_kbd_feedback_state_t *data;
860 int rem;
861 int index;
862 } xcb_input_kbd_feedback_state_iterator_t;
863
867 typedef struct xcb_input_ptr_feedback_state_t {
868 uint8_t class_id;
869 uint8_t id;
870 uint16_t len;
871 uint8_t pad0[2];
872 uint16_t accel_num;
873 uint16_t accel_denom;
874 uint16_t threshold;
875 } xcb_input_ptr_feedback_state_t;
876
880 typedef struct xcb_input_ptr_feedback_state_iterator_t {
881 xcb_input_ptr_feedback_state_t *data;
882 int rem;
883 int index;
884 } xcb_input_ptr_feedback_state_iterator_t;
885
889 typedef struct xcb_input_integer_feedback_state_t {
890 uint8_t class_id;
891 uint8_t id;
892 uint16_t len;
893 uint32_t resolution;
894 int32_t min_value;
895 int32_t max_value;
896 } xcb_input_integer_feedback_state_t;
897
901 typedef struct xcb_input_integer_feedback_state_iterator_t {
902 xcb_input_integer_feedback_state_t *data;
903 int rem;
904 int index;
905 } xcb_input_integer_feedback_state_iterator_t;
906
910 typedef struct xcb_input_string_feedback_state_t {
911 uint8_t class_id;
912 uint8_t id;
913 uint16_t len;
914 uint16_t max_symbols;
915 uint16_t num_keysyms;
916 } xcb_input_string_feedback_state_t;
917
921 typedef struct xcb_input_string_feedback_state_iterator_t {
922 xcb_input_string_feedback_state_t *data;
923 int rem;
924 int index;
925 } xcb_input_string_feedback_state_iterator_t;
926
930 typedef struct xcb_input_bell_feedback_state_t {
931 uint8_t class_id;
932 uint8_t id;
933 uint16_t len;
934 uint8_t percent;
935 uint8_t pad0[3];
936 uint16_t pitch;
937 uint16_t duration;
938 } xcb_input_bell_feedback_state_t;
939
943 typedef struct xcb_input_bell_feedback_state_iterator_t {
944 xcb_input_bell_feedback_state_t *data;
945 int rem;
946 int index;
947 } xcb_input_bell_feedback_state_iterator_t;
948
952 typedef struct xcb_input_led_feedback_state_t {
953 uint8_t class_id;
954 uint8_t id;
955 uint16_t len;
956 uint32_t led_mask;
957 uint32_t led_values;
958 } xcb_input_led_feedback_state_t;
959
963 typedef struct xcb_input_led_feedback_state_iterator_t {
964 xcb_input_led_feedback_state_t *data;
965 int rem;
966 int index;
967 } xcb_input_led_feedback_state_iterator_t;
968
972 typedef struct xcb_input_feedback_ctl_t {
973 uint8_t class_id;
974 uint8_t id;
975 uint16_t len;
976 } xcb_input_feedback_ctl_t;
977
981 typedef struct xcb_input_feedback_ctl_iterator_t {
982 xcb_input_feedback_ctl_t *data;
983 int rem;
984 int index;
985 } xcb_input_feedback_ctl_iterator_t;
986
990 typedef struct xcb_input_kbd_feedback_ctl_t {
991 uint8_t class_id;
992 uint8_t id;
993 uint16_t len;
994 xcb_input_key_code_t key;
995 uint8_t auto_repeat_mode;
996 int8_t key_click_percent;
997 int8_t bell_percent;
998 int16_t bell_pitch;
999 int16_t bell_duration;
1000 uint32_t led_mask;
1001 uint32_t led_values;
1002 } xcb_input_kbd_feedback_ctl_t;
1003
1007 typedef struct xcb_input_kbd_feedback_ctl_iterator_t {
1008 xcb_input_kbd_feedback_ctl_t *data;
1009 int rem;
1010 int index;
1011 } xcb_input_kbd_feedback_ctl_iterator_t;
1012
1016 typedef struct xcb_input_ptr_feedback_ctl_t {
1017 uint8_t class_id;
1018 uint8_t id;
1019 uint16_t len;
1020 uint8_t pad0[2];
1021 int16_t num;
1022 int16_t denom;
1023 int16_t threshold;
1024 } xcb_input_ptr_feedback_ctl_t;
1025
1029 typedef struct xcb_input_ptr_feedback_ctl_iterator_t {
1030 xcb_input_ptr_feedback_ctl_t *data;
1031 int rem;
1032 int index;
1033 } xcb_input_ptr_feedback_ctl_iterator_t;
1034
1038 typedef struct xcb_input_integer_feedback_ctl_t {
1039 uint8_t class_id;
1040 uint8_t id;
1041 uint16_t len;
1042 int32_t int_to_display;
1043 } xcb_input_integer_feedback_ctl_t;
1044
1048 typedef struct xcb_input_integer_feedback_ctl_iterator_t {
1049 xcb_input_integer_feedback_ctl_t *data;
1050 int rem;
1051 int index;
1052 } xcb_input_integer_feedback_ctl_iterator_t;
1053
1057 typedef struct xcb_input_string_feedback_ctl_t {
1058 uint8_t class_id;
1059 uint8_t id;
1060 uint16_t len;
1061 uint8_t pad0[2];
1062 uint16_t num_keysyms;
1063 } xcb_input_string_feedback_ctl_t;
1064
1068 typedef struct xcb_input_string_feedback_ctl_iterator_t {
1069 xcb_input_string_feedback_ctl_t *data;
1070 int rem;
1071 int index;
1072 } xcb_input_string_feedback_ctl_iterator_t;
1073
1077 typedef struct xcb_input_bell_feedback_ctl_t {
1078 uint8_t class_id;
1079 uint8_t id;
1080 uint16_t len;
1081 int8_t percent;
1082 uint8_t pad0[3];
1083 int16_t pitch;
1084 int16_t duration;
1085 } xcb_input_bell_feedback_ctl_t;
1086
1090 typedef struct xcb_input_bell_feedback_ctl_iterator_t {
1091 xcb_input_bell_feedback_ctl_t *data;
1092 int rem;
1093 int index;
1094 } xcb_input_bell_feedback_ctl_iterator_t;
1095
1099 typedef struct xcb_input_led_feedback_ctl_t {
1100 uint8_t class_id;
1101 uint8_t id;
1102 uint16_t len;
1103 uint32_t led_mask;
1104 uint32_t led_values;
1105 } xcb_input_led_feedback_ctl_t;
1106
1110 typedef struct xcb_input_led_feedback_ctl_iterator_t {
1111 xcb_input_led_feedback_ctl_t *data;
1112 int rem;
1113 int index;
1114 } xcb_input_led_feedback_ctl_iterator_t;
1115
1119 typedef struct xcb_input_get_device_key_mapping_cookie_t {
1120 unsigned int sequence;
1121 } xcb_input_get_device_key_mapping_cookie_t;
1122
1124 #define XCB_INPUT_GET_DEVICE_KEY_MAPPING 24
1125
1129 typedef struct xcb_input_get_device_key_mapping_request_t {
1130 uint8_t major_opcode;
1131 uint8_t minor_opcode;
1132 uint16_t length;
1133 uint8_t device_id;
1134 xcb_input_key_code_t first_keycode;
1135 uint8_t count;
1136 } xcb_input_get_device_key_mapping_request_t;
1137
1141 typedef struct xcb_input_get_device_key_mapping_reply_t {
1142 uint8_t response_type;
1143 uint8_t pad0;
1144 uint16_t sequence;
1145 uint32_t length;
1146 uint8_t keysyms_per_keycode;
1147 uint8_t pad1[23];
1148 } xcb_input_get_device_key_mapping_reply_t;
1149
1151 #define XCB_INPUT_CHANGE_DEVICE_KEY_MAPPING 25
1152
1156 typedef struct xcb_input_change_device_key_mapping_request_t {
1157 uint8_t major_opcode;
1158 uint8_t minor_opcode;
1159 uint16_t length;
1160 uint8_t device_id;
1161 xcb_input_key_code_t first_keycode;
1162 uint8_t keysyms_per_keycode;
1163 uint8_t keycode_count;
1164 } xcb_input_change_device_key_mapping_request_t;
1165
1169 typedef struct xcb_input_get_device_modifier_mapping_cookie_t {
1170 unsigned int sequence;
1171 } xcb_input_get_device_modifier_mapping_cookie_t;
1172
1174 #define XCB_INPUT_GET_DEVICE_MODIFIER_MAPPING 26
1175
1179 typedef struct xcb_input_get_device_modifier_mapping_request_t {
1180 uint8_t major_opcode;
1181 uint8_t minor_opcode;
1182 uint16_t length;
1183 uint8_t device_id;
1184 uint8_t pad0[3];
1185 } xcb_input_get_device_modifier_mapping_request_t;
1186
1190 typedef struct xcb_input_get_device_modifier_mapping_reply_t {
1191 uint8_t response_type;
1192 uint8_t pad0;
1193 uint16_t sequence;
1194 uint32_t length;
1195 uint8_t keycodes_per_modifier;
1196 uint8_t pad1[23];
1197 } xcb_input_get_device_modifier_mapping_reply_t;
1198
1202 typedef struct xcb_input_set_device_modifier_mapping_cookie_t {
1203 unsigned int sequence;
1204 } xcb_input_set_device_modifier_mapping_cookie_t;
1205
1207 #define XCB_INPUT_SET_DEVICE_MODIFIER_MAPPING 27
1208
1212 typedef struct xcb_input_set_device_modifier_mapping_request_t {
1213 uint8_t major_opcode;
1214 uint8_t minor_opcode;
1215 uint16_t length;
1216 uint8_t device_id;
1217 uint8_t keycodes_per_modifier;
1218 uint8_t pad0;
1219 } xcb_input_set_device_modifier_mapping_request_t;
1220
1224 typedef struct xcb_input_set_device_modifier_mapping_reply_t {
1225 uint8_t response_type;
1226 uint8_t pad0;
1227 uint16_t sequence;
1228 uint32_t length;
1229 uint8_t status;
1230 uint8_t pad1[23];
1231 } xcb_input_set_device_modifier_mapping_reply_t;
1232
1236 typedef struct xcb_input_get_device_button_mapping_cookie_t {
1237 unsigned int sequence;
1238 } xcb_input_get_device_button_mapping_cookie_t;
1239
1241 #define XCB_INPUT_GET_DEVICE_BUTTON_MAPPING 28
1242
1246 typedef struct xcb_input_get_device_button_mapping_request_t {
1247 uint8_t major_opcode;
1248 uint8_t minor_opcode;
1249 uint16_t length;
1250 uint8_t device_id;
1251 uint8_t pad0[3];
1252 } xcb_input_get_device_button_mapping_request_t;
1253
1257 typedef struct xcb_input_get_device_button_mapping_reply_t {
1258 uint8_t response_type;
1259 uint8_t pad0;
1260 uint16_t sequence;
1261 uint32_t length;
1262 uint8_t map_size;
1263 uint8_t pad1[23];
1264 } xcb_input_get_device_button_mapping_reply_t;
1265
1269 typedef struct xcb_input_set_device_button_mapping_cookie_t {
1270 unsigned int sequence;
1271 } xcb_input_set_device_button_mapping_cookie_t;
1272
1274 #define XCB_INPUT_SET_DEVICE_BUTTON_MAPPING 29
1275
1279 typedef struct xcb_input_set_device_button_mapping_request_t {
1280 uint8_t major_opcode;
1281 uint8_t minor_opcode;
1282 uint16_t length;
1283 uint8_t device_id;
1284 uint8_t map_size;
1285 uint8_t pad0[2];
1286 } xcb_input_set_device_button_mapping_request_t;
1287
1291 typedef struct xcb_input_set_device_button_mapping_reply_t {
1292 uint8_t response_type;
1293 uint8_t pad0;
1294 uint16_t sequence;
1295 uint32_t length;
1296 uint8_t status;
1297 uint8_t pad1[23];
1298 } xcb_input_set_device_button_mapping_reply_t;
1299
1303 typedef struct xcb_input_query_device_state_cookie_t {
1304 unsigned int sequence;
1305 } xcb_input_query_device_state_cookie_t;
1306
1308 #define XCB_INPUT_QUERY_DEVICE_STATE 30
1309
1313 typedef struct xcb_input_query_device_state_request_t {
1314 uint8_t major_opcode;
1315 uint8_t minor_opcode;
1316 uint16_t length;
1317 uint8_t device_id;
1318 uint8_t pad0[3];
1319 } xcb_input_query_device_state_request_t;
1320
1324 typedef struct xcb_input_query_device_state_reply_t {
1325 uint8_t response_type;
1326 uint8_t pad0;
1327 uint16_t sequence;
1328 uint32_t length;
1329 uint8_t num_classes;
1330 uint8_t pad1[23];
1331 } xcb_input_query_device_state_reply_t;
1332
1336 typedef struct xcb_input_input_state_t {
1337 uint8_t class_id;
1338 uint8_t len;
1339 uint8_t num_items;
1340 } xcb_input_input_state_t;
1341
1345 typedef struct xcb_input_input_state_iterator_t {
1346 xcb_input_input_state_t *data;
1347 int rem;
1348 int index;
1349 } xcb_input_input_state_iterator_t;
1350
1354 typedef struct xcb_input_key_state_t {
1355 uint8_t class_id;
1356 uint8_t len;
1357 uint8_t num_keys;
1358 uint8_t pad0;
1359 uint8_t keys[32];
1360 } xcb_input_key_state_t;
1361
1365 typedef struct xcb_input_key_state_iterator_t {
1366 xcb_input_key_state_t *data;
1367 int rem;
1368 int index;
1369 } xcb_input_key_state_iterator_t;
1370
1374 typedef struct xcb_input_button_state_t {
1375 uint8_t class_id;
1376 uint8_t len;
1377 uint8_t num_buttons;
1378 uint8_t pad0;
1379 uint8_t buttons[32];
1380 } xcb_input_button_state_t;
1381
1385 typedef struct xcb_input_button_state_iterator_t {
1386 xcb_input_button_state_t *data;
1387 int rem;
1388 int index;
1389 } xcb_input_button_state_iterator_t;
1390
1394 typedef struct xcb_input_valuator_state_t {
1395 uint8_t class_id;
1396 uint8_t len;
1397 uint8_t num_valuators;
1398 uint8_t mode;
1399 } xcb_input_valuator_state_t;
1400
1404 typedef struct xcb_input_valuator_state_iterator_t {
1405 xcb_input_valuator_state_t *data;
1406 int rem;
1407 int index;
1408 } xcb_input_valuator_state_iterator_t;
1409
1411 #define XCB_INPUT_SEND_EXTENSION_EVENT 31
1412
1416 typedef struct xcb_input_send_extension_event_request_t {
1417 uint8_t major_opcode;
1418 uint8_t minor_opcode;
1419 uint16_t length;
1420 xcb_window_t destination;
1421 uint8_t device_id;
1422 uint8_t propagate;
1423 uint16_t num_classes;
1424 uint8_t num_events;
1425 uint8_t pad0[3];
1426 } xcb_input_send_extension_event_request_t;
1427
1429 #define XCB_INPUT_DEVICE_BELL 32
1430
1434 typedef struct xcb_input_device_bell_request_t {
1435 uint8_t major_opcode;
1436 uint8_t minor_opcode;
1437 uint16_t length;
1438 uint8_t device_id;
1439 uint8_t feedback_id;
1440 uint8_t feedback_class;
1441 int8_t percent;
1442 } xcb_input_device_bell_request_t;
1443
1447 typedef struct xcb_input_set_device_valuators_cookie_t {
1448 unsigned int sequence;
1449 } xcb_input_set_device_valuators_cookie_t;
1450
1452 #define XCB_INPUT_SET_DEVICE_VALUATORS 33
1453
1457 typedef struct xcb_input_set_device_valuators_request_t {
1458 uint8_t major_opcode;
1459 uint8_t minor_opcode;
1460 uint16_t length;
1461 uint8_t device_id;
1462 uint8_t first_valuator;
1463 uint8_t num_valuators;
1464 uint8_t pad0;
1465 } xcb_input_set_device_valuators_request_t;
1466
1470 typedef struct xcb_input_set_device_valuators_reply_t {
1471 uint8_t response_type;
1472 uint8_t pad0;
1473 uint16_t sequence;
1474 uint32_t length;
1475 uint8_t status;
1476 uint8_t pad1[23];
1477 } xcb_input_set_device_valuators_reply_t;
1478
1482 typedef struct xcb_input_get_device_control_cookie_t {
1483 unsigned int sequence;
1484 } xcb_input_get_device_control_cookie_t;
1485
1487 #define XCB_INPUT_GET_DEVICE_CONTROL 34
1488
1492 typedef struct xcb_input_get_device_control_request_t {
1493 uint8_t major_opcode;
1494 uint8_t minor_opcode;
1495 uint16_t length;
1496 uint16_t control_id;
1497 uint8_t device_id;
1498 uint8_t pad0;
1499 } xcb_input_get_device_control_request_t;
1500
1504 typedef struct xcb_input_get_device_control_reply_t {
1505 uint8_t response_type;
1506 uint8_t pad0;
1507 uint16_t sequence;
1508 uint32_t length;
1509 uint8_t status;
1510 uint8_t pad1[23];
1511 } xcb_input_get_device_control_reply_t;
1512
1516 typedef struct xcb_input_device_state_t {
1517 uint16_t control_id;
1518 uint16_t len;
1519 } xcb_input_device_state_t;
1520
1524 typedef struct xcb_input_device_state_iterator_t {
1525 xcb_input_device_state_t *data;
1526 int rem;
1527 int index;
1528 } xcb_input_device_state_iterator_t;
1529
1533 typedef struct xcb_input_device_resolution_state_t {
1534 uint16_t control_id;
1535 uint16_t len;
1536 uint32_t num_valuators;
1537 } xcb_input_device_resolution_state_t;
1538
1542 typedef struct xcb_input_device_resolution_state_iterator_t {
1543 xcb_input_device_resolution_state_t *data;
1544 int rem;
1545 int index;
1546 } xcb_input_device_resolution_state_iterator_t;
1547
1551 typedef struct xcb_input_device_abs_calib_state_t {
1552 uint16_t control_id;
1553 uint16_t len;
1554 int32_t min_x;
1555 int32_t max_x;
1556 int32_t min_y;
1557 int32_t max_y;
1558 uint32_t flip_x;
1559 uint32_t flip_y;
1560 uint32_t rotation;
1561 uint32_t button_threshold;
1562 } xcb_input_device_abs_calib_state_t;
1563
1567 typedef struct xcb_input_device_abs_calib_state_iterator_t {
1568 xcb_input_device_abs_calib_state_t *data;
1569 int rem;
1570 int index;
1571 } xcb_input_device_abs_calib_state_iterator_t;
1572
1576 typedef struct xcb_input_device_abs_area_state_t {
1577 uint16_t control_id;
1578 uint16_t len;
1579 uint32_t offset_x;
1580 uint32_t offset_y;
1581 uint32_t width;
1582 uint32_t height;
1583 uint32_t screen;
1584 uint32_t following;
1585 } xcb_input_device_abs_area_state_t;
1586
1590 typedef struct xcb_input_device_abs_area_state_iterator_t {
1591 xcb_input_device_abs_area_state_t *data;
1592 int rem;
1593 int index;
1594 } xcb_input_device_abs_area_state_iterator_t;
1595
1599 typedef struct xcb_input_device_core_state_t {
1600 uint16_t control_id;
1601 uint16_t len;
1602 uint8_t status;
1603 uint8_t iscore;
1604 uint8_t pad0[2];
1605 } xcb_input_device_core_state_t;
1606
1610 typedef struct xcb_input_device_core_state_iterator_t {
1611 xcb_input_device_core_state_t *data;
1612 int rem;
1613 int index;
1614 } xcb_input_device_core_state_iterator_t;
1615
1619 typedef struct xcb_input_device_enable_state_t {
1620 uint16_t control_id;
1621 uint16_t len;
1622 uint8_t enable;
1623 uint8_t pad0[3];
1624 } xcb_input_device_enable_state_t;
1625
1629 typedef struct xcb_input_device_enable_state_iterator_t {
1630 xcb_input_device_enable_state_t *data;
1631 int rem;
1632 int index;
1633 } xcb_input_device_enable_state_iterator_t;
1634
1638 typedef struct xcb_input_device_ctl_t {
1639 uint16_t control_id;
1640 uint16_t len;
1641 } xcb_input_device_ctl_t;
1642
1646 typedef struct xcb_input_device_ctl_iterator_t {
1647 xcb_input_device_ctl_t *data;
1648 int rem;
1649 int index;
1650 } xcb_input_device_ctl_iterator_t;
1651
1655 typedef struct xcb_input_device_resolution_ctl_t {
1656 uint16_t control_id;
1657 uint16_t len;
1658 uint8_t first_valuator;
1659 uint8_t num_valuators;
1660 } xcb_input_device_resolution_ctl_t;
1661
1665 typedef struct xcb_input_device_resolution_ctl_iterator_t {
1666 xcb_input_device_resolution_ctl_t *data;
1667 int rem;
1668 int index;
1669 } xcb_input_device_resolution_ctl_iterator_t;
1670
1674 typedef struct xcb_input_device_abs_calib_ctl_t {
1675 uint16_t control_id;
1676 uint16_t len;
1677 int32_t min_x;
1678 int32_t max_x;
1679 int32_t min_y;
1680 int32_t max_y;
1681 uint32_t flip_x;
1682 uint32_t flip_y;
1683 uint32_t rotation;
1684 uint32_t button_threshold;
1685 } xcb_input_device_abs_calib_ctl_t;
1686
1690 typedef struct xcb_input_device_abs_calib_ctl_iterator_t {
1691 xcb_input_device_abs_calib_ctl_t *data;
1692 int rem;
1693 int index;
1694 } xcb_input_device_abs_calib_ctl_iterator_t;
1695
1699 typedef struct xcb_input_device_abs_area_ctrl_t {
1700 uint16_t control_id;
1701 uint16_t len;
1702 uint32_t offset_x;
1703 uint32_t offset_y;
1704 int32_t width;
1705 int32_t height;
1706 int32_t screen;
1707 uint32_t following;
1708 } xcb_input_device_abs_area_ctrl_t;
1709
1713 typedef struct xcb_input_device_abs_area_ctrl_iterator_t {
1714 xcb_input_device_abs_area_ctrl_t *data;
1715 int rem;
1716 int index;
1717 } xcb_input_device_abs_area_ctrl_iterator_t;
1718
1722 typedef struct xcb_input_device_core_ctrl_t {
1723 uint16_t control_id;
1724 uint16_t len;
1725 uint8_t status;
1726 uint8_t pad0[3];
1727 } xcb_input_device_core_ctrl_t;
1728
1732 typedef struct xcb_input_device_core_ctrl_iterator_t {
1733 xcb_input_device_core_ctrl_t *data;
1734 int rem;
1735 int index;
1736 } xcb_input_device_core_ctrl_iterator_t;
1737
1741 typedef struct xcb_input_device_enable_ctrl_t {
1742 uint16_t control_id;
1743 uint16_t len;
1744 uint8_t enable;
1745 uint8_t pad0[3];
1746 } xcb_input_device_enable_ctrl_t;
1747
1751 typedef struct xcb_input_device_enable_ctrl_iterator_t {
1752 xcb_input_device_enable_ctrl_t *data;
1753 int rem;
1754 int index;
1755 } xcb_input_device_enable_ctrl_iterator_t;
1756
1758 #define XCB_INPUT_DEVICE_VALUATOR 0
1759
1763 typedef struct xcb_input_device_valuator_event_t {
1764 uint8_t response_type;
1765 uint8_t device_id;
1766 uint16_t sequence;
1767 uint16_t device_state;
1768 uint8_t num_valuators;
1769 uint8_t first_valuator;
1770 int32_t valuators[6];
1771 } xcb_input_device_valuator_event_t;
1772
1774 #define XCB_INPUT_DEVICE_KEY_PRESS 1
1775
1779 typedef struct xcb_input_device_key_press_event_t {
1780 uint8_t response_type;
1781 uint8_t detail;
1782 uint16_t sequence;
1783 xcb_timestamp_t time;
1784 xcb_window_t root;
1785 xcb_window_t event;
1786 xcb_window_t child;
1787 int16_t root_x;
1788 int16_t root_y;
1789 int16_t event_x;
1790 int16_t event_y;
1791 uint16_t state;
1792 uint8_t same_screen;
1793 uint8_t device_id;
1794 } xcb_input_device_key_press_event_t;
1795
1797 #define XCB_INPUT_DEVICE_KEY_RELEASE 2
1798
1799 typedef xcb_input_device_key_press_event_t xcb_input_device_key_release_event_t;
1800
1802 #define XCB_INPUT_DEVICE_BUTTON_PRESS 3
1803
1804 typedef xcb_input_device_key_press_event_t xcb_input_device_button_press_event_t;
1805
1807 #define XCB_INPUT_DEVICE_BUTTON_RELEASE 4
1808
1809 typedef xcb_input_device_key_press_event_t xcb_input_device_button_release_event_t;
1810
1812 #define XCB_INPUT_DEVICE_MOTION_NOTIFY 5
1813
1814 typedef xcb_input_device_key_press_event_t xcb_input_device_motion_notify_event_t;
1815
1817 #define XCB_INPUT_PROXIMITY_IN 8
1818
1819 typedef xcb_input_device_key_press_event_t xcb_input_proximity_in_event_t;
1820
1822 #define XCB_INPUT_PROXIMITY_OUT 9
1823
1824 typedef xcb_input_device_key_press_event_t xcb_input_proximity_out_event_t;
1825
1827 #define XCB_INPUT_FOCUS_IN 6
1828
1832 typedef struct xcb_input_focus_in_event_t {
1833 uint8_t response_type;
1834 uint8_t detail;
1835 uint16_t sequence;
1836 xcb_timestamp_t time;
1837 xcb_window_t window;
1838 uint8_t mode;
1839 uint8_t device_id;
1840 uint8_t pad0[18];
1841 } xcb_input_focus_in_event_t;
1842
1844 #define XCB_INPUT_FOCUS_OUT 7
1845
1846 typedef xcb_input_focus_in_event_t xcb_input_focus_out_event_t;
1847
1849 #define XCB_INPUT_DEVICE_STATE_NOTIFY 10
1850
1854 typedef struct xcb_input_device_state_notify_event_t {
1855 uint8_t response_type;
1856 uint8_t device_id;
1857 uint16_t sequence;
1858 xcb_timestamp_t time;
1859 uint8_t num_keys;
1860 uint8_t num_buttons;
1861 uint8_t num_valuators;
1862 uint8_t classes_reported;
1863 uint8_t buttons[4];
1864 uint8_t keys[4];
1865 uint32_t valuators[3];
1866 } xcb_input_device_state_notify_event_t;
1867
1869 #define XCB_INPUT_DEVICE_MAPPING_NOTIFY 11
1870
1874 typedef struct xcb_input_device_mapping_notify_event_t {
1875 uint8_t response_type;
1876 uint8_t device_id;
1877 uint16_t sequence;
1878 uint8_t request;
1879 xcb_input_key_code_t first_keycode;
1880 uint8_t count;
1881 uint8_t pad0;
1882 xcb_timestamp_t time;
1883 uint8_t pad1[20];
1884 } xcb_input_device_mapping_notify_event_t;
1885
1887 #define XCB_INPUT_CHANGE_DEVICE_NOTIFY 12
1888
1892 typedef struct xcb_input_change_device_notify_event_t {
1893 uint8_t response_type;
1894 uint8_t device_id;
1895 uint16_t sequence;
1896 xcb_timestamp_t time;
1897 uint8_t request;
1898 uint8_t pad0[23];
1899 } xcb_input_change_device_notify_event_t;
1900
1902 #define XCB_INPUT_DEVICE_KEY_STATE_NOTIFY 13
1903
1907 typedef struct xcb_input_device_key_state_notify_event_t {
1908 uint8_t response_type;
1909 uint8_t device_id;
1910 uint16_t sequence;
1911 uint8_t keys[28];
1912 } xcb_input_device_key_state_notify_event_t;
1913
1915 #define XCB_INPUT_DEVICE_BUTTON_STATE_NOTIFY 14
1916
1920 typedef struct xcb_input_device_button_state_notify_event_t {
1921 uint8_t response_type;
1922 uint8_t device_id;
1923 uint16_t sequence;
1924 uint8_t buttons[28];
1925 } xcb_input_device_button_state_notify_event_t;
1926
1928 #define XCB_INPUT_DEVICE_PRESENCE_NOTIFY 15
1929
1933 typedef struct xcb_input_device_presence_notify_event_t {
1934 uint8_t response_type;
1935 uint8_t pad0;
1936 uint16_t sequence;
1937 xcb_timestamp_t time;
1938 uint8_t devchange;
1939 uint8_t device_id;
1940 uint16_t control;
1941 uint8_t pad1[20];
1942 } xcb_input_device_presence_notify_event_t;
1943
1945 #define XCB_INPUT_DEVICE 0
1946
1950 typedef struct xcb_input_device_error_t {
1951 uint8_t response_type;
1952 uint8_t error_code;
1953 uint16_t sequence;
1954 } xcb_input_device_error_t;
1955
1957 #define XCB_INPUT_EVENT 1
1958
1962 typedef struct xcb_input_event_error_t {
1963 uint8_t response_type;
1964 uint8_t error_code;
1965 uint16_t sequence;
1966 } xcb_input_event_error_t;
1967
1969 #define XCB_INPUT_MODE 2
1970
1974 typedef struct xcb_input_mode_error_t {
1975 uint8_t response_type;
1976 uint8_t error_code;
1977 uint16_t sequence;
1978 } xcb_input_mode_error_t;
1979
1981 #define XCB_INPUT_DEVICE_BUSY 3
1982
1986 typedef struct xcb_input_device_busy_error_t {
1987 uint8_t response_type;
1988 uint8_t error_code;
1989 uint16_t sequence;
1990 } xcb_input_device_busy_error_t;
1991
1993 #define XCB_INPUT_CLASS 4
1994
1998 typedef struct xcb_input_class_error_t {
1999 uint8_t response_type;
2000 uint8_t error_code;
2001 uint16_t sequence;
2002 } xcb_input_class_error_t;
2003
2013 /*****************************************************************************
2014 **
2015 ** void xcb_input_key_code_next
2016 **
2017 ** @param xcb_input_key_code_iterator_t *i
2018 ** @returns void
2019 **
2020 *****************************************************************************/
2021
2022 void
2023 xcb_input_key_code_next (xcb_input_key_code_iterator_t *i );
2024
2035 /*****************************************************************************
2036 **
2037 ** xcb_generic_iterator_t xcb_input_key_code_end
2038 **
2039 ** @param xcb_input_key_code_iterator_t i
2040 ** @returns xcb_generic_iterator_t
2041 **
2042 *****************************************************************************/
2043
2044 xcb_generic_iterator_t
2045 xcb_input_key_code_end (xcb_input_key_code_iterator_t i );
2046
2056 /*****************************************************************************
2057 **
2058 ** void xcb_input_event_class_next
2059 **
2060 ** @param xcb_input_event_class_iterator_t *i
2061 ** @returns void
2062 **
2063 *****************************************************************************/
2064
2065 void
2066 xcb_input_event_class_next (xcb_input_event_class_iterator_t *i );
2067
2078 /*****************************************************************************
2079 **
2080 ** xcb_generic_iterator_t xcb_input_event_class_end
2081 **
2082 ** @param xcb_input_event_class_iterator_t i
2083 ** @returns xcb_generic_iterator_t
2084 **
2085 *****************************************************************************/
2086
2087 xcb_generic_iterator_t
2088 xcb_input_event_class_end (xcb_input_event_class_iterator_t i );
2089
2090 int
2091 xcb_input_get_extension_version_sizeof (const void *_buffer );
2092
2102 /*****************************************************************************
2103 **
2104 ** xcb_input_get_extension_version_cookie_t xcb_input_get_extension_version
2105 **
2106 ** @param xcb_connection_t *c
2107 ** @param uint16_t name_len
2108 ** @param const char *name
2109 ** @returns xcb_input_get_extension_version_cookie_t
2110 **
2111 *****************************************************************************/
2112
2113 xcb_input_get_extension_version_cookie_t
2114 xcb_input_get_extension_version (xcb_connection_t *c ,
2115 uint16_t name_len ,
2116 const char *name );
2117
2130 /*****************************************************************************
2131 **
2132 ** xcb_input_get_extension_version_cookie_t xcb_input_get_extension_version_unchecked
2133 **
2134 ** @param xcb_connection_t *c
2135 ** @param uint16_t name_len
2136 ** @param const char *name
2137 ** @returns xcb_input_get_extension_version_cookie_t
2138 **
2139 *****************************************************************************/
2140
2141 xcb_input_get_extension_version_cookie_t
2142 xcb_input_get_extension_version_unchecked (xcb_connection_t *c ,
2143 uint16_t name_len ,
2144 const char *name );
2145
2161 /*****************************************************************************
2162 **
2163 ** xcb_input_get_extension_version_reply_t * xcb_input_get_extension_version_reply
2164 **
2165 ** @param xcb_connection_t *c
2166 ** @param xcb_input_get_extension_version_cookie_t cookie
2167 ** @param xcb_generic_error_t **e
2168 ** @returns xcb_input_get_extension_version_reply_t *
2169 **
2170 *****************************************************************************/
2171
2172 xcb_input_get_extension_version_reply_t *
2173 xcb_input_get_extension_version_reply (xcb_connection_t *c ,
2174 xcb_input_get_extension_version_cookie_t cookie ,
2175 xcb_generic_error_t **e );
2176
2186 /*****************************************************************************
2187 **
2188 ** void xcb_input_device_info_next
2189 **
2190 ** @param xcb_input_device_info_iterator_t *i
2191 ** @returns void
2192 **
2193 *****************************************************************************/
2194
2195 void
2196 xcb_input_device_info_next (xcb_input_device_info_iterator_t *i );
2197
2208 /*****************************************************************************
2209 **
2210 ** xcb_generic_iterator_t xcb_input_device_info_end
2211 **
2212 ** @param xcb_input_device_info_iterator_t i
2213 ** @returns xcb_generic_iterator_t
2214 **
2215 *****************************************************************************/
2216
2217 xcb_generic_iterator_t
2218 xcb_input_device_info_end (xcb_input_device_info_iterator_t i );
2219
2220 int
2221 xcb_input_list_input_devices_sizeof (const void *_buffer );
2222
2232 /*****************************************************************************
2233 **
2234 ** xcb_input_list_input_devices_cookie_t xcb_input_list_input_devices
2235 **
2236 ** @param xcb_connection_t *c
2237 ** @returns xcb_input_list_input_devices_cookie_t
2238 **
2239 *****************************************************************************/
2240
2241 xcb_input_list_input_devices_cookie_t
2242 xcb_input_list_input_devices (xcb_connection_t *c );
2243
2256 /*****************************************************************************
2257 **
2258 ** xcb_input_list_input_devices_cookie_t xcb_input_list_input_devices_unchecked
2259 **
2260 ** @param xcb_connection_t *c
2261 ** @returns xcb_input_list_input_devices_cookie_t
2262 **
2263 *****************************************************************************/
2264
2265 xcb_input_list_input_devices_cookie_t
2266 xcb_input_list_input_devices_unchecked (xcb_connection_t *c );
2267
2268
2269 /*****************************************************************************
2270 **
2271 ** xcb_input_device_info_t * xcb_input_list_input_devices_devices
2272 **
2273 ** @param const xcb_input_list_input_devices_reply_t *R
2274 ** @returns xcb_input_device_info_t *
2275 **
2276 *****************************************************************************/
2277
2278 xcb_input_device_info_t *
2279 xcb_input_list_input_devices_devices (const xcb_input_list_input_devices_reply_t *R );
2280
2281
2282 /*****************************************************************************
2283 **
2284 ** int xcb_input_list_input_devices_devices_length
2285 **
2286 ** @param const xcb_input_list_input_devices_reply_t *R
2287 ** @returns int
2288 **
2289 *****************************************************************************/
2290
2291 int
2292 xcb_input_list_input_devices_devices_length (const xcb_input_list_input_devices_reply_t *R );
2293
2294
2295 /*****************************************************************************
2296 **
2297 ** xcb_input_device_info_iterator_t xcb_input_list_input_devices_devices_iterator
2298 **
2299 ** @param const xcb_input_list_input_devices_reply_t *R
2300 ** @returns xcb_input_device_info_iterator_t
2301 **
2302 *****************************************************************************/
2303
2304 xcb_input_device_info_iterator_t
2305 xcb_input_list_input_devices_devices_iterator (const xcb_input_list_input_devices_reply_t *R );
2306
2322 /*****************************************************************************
2323 **
2324 ** xcb_input_list_input_devices_reply_t * xcb_input_list_input_devices_reply
2325 **
2326 ** @param xcb_connection_t *c
2327 ** @param xcb_input_list_input_devices_cookie_t cookie
2328 ** @param xcb_generic_error_t **e
2329 ** @returns xcb_input_list_input_devices_reply_t *
2330 **
2331 *****************************************************************************/
2332
2333 xcb_input_list_input_devices_reply_t *
2334 xcb_input_list_input_devices_reply (xcb_connection_t *c ,
2335 xcb_input_list_input_devices_cookie_t cookie ,
2336 xcb_generic_error_t **e );
2337
2347 /*****************************************************************************
2348 **
2349 ** void xcb_input_input_info_next
2350 **
2351 ** @param xcb_input_input_info_iterator_t *i
2352 ** @returns void
2353 **
2354 *****************************************************************************/
2355
2356 void
2357 xcb_input_input_info_next (xcb_input_input_info_iterator_t *i );
2358
2369 /*****************************************************************************
2370 **
2371 ** xcb_generic_iterator_t xcb_input_input_info_end
2372 **
2373 ** @param xcb_input_input_info_iterator_t i
2374 ** @returns xcb_generic_iterator_t
2375 **
2376 *****************************************************************************/
2377
2378 xcb_generic_iterator_t
2379 xcb_input_input_info_end (xcb_input_input_info_iterator_t i );
2380
2390 /*****************************************************************************
2391 **
2392 ** void xcb_input_key_info_next
2393 **
2394 ** @param xcb_input_key_info_iterator_t *i
2395 ** @returns void
2396 **
2397 *****************************************************************************/
2398
2399 void
2400 xcb_input_key_info_next (xcb_input_key_info_iterator_t *i );
2401
2412 /*****************************************************************************
2413 **
2414 ** xcb_generic_iterator_t xcb_input_key_info_end
2415 **
2416 ** @param xcb_input_key_info_iterator_t i
2417 ** @returns xcb_generic_iterator_t
2418 **
2419 *****************************************************************************/
2420
2421 xcb_generic_iterator_t
2422 xcb_input_key_info_end (xcb_input_key_info_iterator_t i );
2423
2433 /*****************************************************************************
2434 **
2435 ** void xcb_input_button_info_next
2436 **
2437 ** @param xcb_input_button_info_iterator_t *i
2438 ** @returns void
2439 **
2440 *****************************************************************************/
2441
2442 void
2443 xcb_input_button_info_next (xcb_input_button_info_iterator_t *i );
2444
2455 /*****************************************************************************
2456 **
2457 ** xcb_generic_iterator_t xcb_input_button_info_end
2458 **
2459 ** @param xcb_input_button_info_iterator_t i
2460 ** @returns xcb_generic_iterator_t
2461 **
2462 *****************************************************************************/
2463
2464 xcb_generic_iterator_t
2465 xcb_input_button_info_end (xcb_input_button_info_iterator_t i );
2466
2476 /*****************************************************************************
2477 **
2478 ** void xcb_input_axis_info_next
2479 **
2480 ** @param xcb_input_axis_info_iterator_t *i
2481 ** @returns void
2482 **
2483 *****************************************************************************/
2484
2485 void
2486 xcb_input_axis_info_next (xcb_input_axis_info_iterator_t *i );
2487
2498 /*****************************************************************************
2499 **
2500 ** xcb_generic_iterator_t xcb_input_axis_info_end
2501 **
2502 ** @param xcb_input_axis_info_iterator_t i
2503 ** @returns xcb_generic_iterator_t
2504 **
2505 *****************************************************************************/
2506
2507 xcb_generic_iterator_t
2508 xcb_input_axis_info_end (xcb_input_axis_info_iterator_t i );
2509
2510 int
2511 xcb_input_valuator_info_sizeof (const void *_buffer );
2512
2513
2514 /*****************************************************************************
2515 **
2516 ** xcb_input_axis_info_t * xcb_input_valuator_info_axes
2517 **
2518 ** @param const xcb_input_valuator_info_t *R
2519 ** @returns xcb_input_axis_info_t *
2520 **
2521 *****************************************************************************/
2522
2523 xcb_input_axis_info_t *
2524 xcb_input_valuator_info_axes (const xcb_input_valuator_info_t *R );
2525
2526
2527 /*****************************************************************************
2528 **
2529 ** int xcb_input_valuator_info_axes_length
2530 **
2531 ** @param const xcb_input_valuator_info_t *R
2532 ** @returns int
2533 **
2534 *****************************************************************************/
2535
2536 int
2537 xcb_input_valuator_info_axes_length (const xcb_input_valuator_info_t *R );
2538
2539
2540 /*****************************************************************************
2541 **
2542 ** xcb_input_axis_info_iterator_t xcb_input_valuator_info_axes_iterator
2543 **
2544 ** @param const xcb_input_valuator_info_t *R
2545 ** @returns xcb_input_axis_info_iterator_t
2546 **
2547 *****************************************************************************/
2548
2549 xcb_input_axis_info_iterator_t
2550 xcb_input_valuator_info_axes_iterator (const xcb_input_valuator_info_t *R );
2551
2561 /*****************************************************************************
2562 **
2563 ** void xcb_input_valuator_info_next
2564 **
2565 ** @param xcb_input_valuator_info_iterator_t *i
2566 ** @returns void
2567 **
2568 *****************************************************************************/
2569
2570 void
2571 xcb_input_valuator_info_next (xcb_input_valuator_info_iterator_t *i );
2572
2583 /*****************************************************************************
2584 **
2585 ** xcb_generic_iterator_t xcb_input_valuator_info_end
2586 **
2587 ** @param xcb_input_valuator_info_iterator_t i
2588 ** @returns xcb_generic_iterator_t
2589 **
2590 *****************************************************************************/
2591
2592 xcb_generic_iterator_t
2593 xcb_input_valuator_info_end (xcb_input_valuator_info_iterator_t i );
2594
2604 /*****************************************************************************
2605 **
2606 ** void xcb_input_input_class_info_next
2607 **
2608 ** @param xcb_input_input_class_info_iterator_t *i
2609 ** @returns void
2610 **
2611 *****************************************************************************/
2612
2613 void
2614 xcb_input_input_class_info_next (xcb_input_input_class_info_iterator_t *i );
2615
2626 /*****************************************************************************
2627 **
2628 ** xcb_generic_iterator_t xcb_input_input_class_info_end
2629 **
2630 ** @param xcb_input_input_class_info_iterator_t i
2631 ** @returns xcb_generic_iterator_t
2632 **
2633 *****************************************************************************/
2634
2635 xcb_generic_iterator_t
2636 xcb_input_input_class_info_end (xcb_input_input_class_info_iterator_t i );
2637
2638 int
2639 xcb_input_open_device_sizeof (const void *_buffer );
2640
2650 /*****************************************************************************
2651 **
2652 ** xcb_input_open_device_cookie_t xcb_input_open_device
2653 **
2654 ** @param xcb_connection_t *c
2655 ** @param uint8_t device_id
2656 ** @returns xcb_input_open_device_cookie_t
2657 **
2658 *****************************************************************************/
2659
2660 xcb_input_open_device_cookie_t
2661 xcb_input_open_device (xcb_connection_t *c ,
2662 uint8_t device_id );
2663
2676 /*****************************************************************************
2677 **
2678 ** xcb_input_open_device_cookie_t xcb_input_open_device_unchecked
2679 **
2680 ** @param xcb_connection_t *c
2681 ** @param uint8_t device_id
2682 ** @returns xcb_input_open_device_cookie_t
2683 **
2684 *****************************************************************************/
2685
2686 xcb_input_open_device_cookie_t
2687 xcb_input_open_device_unchecked (xcb_connection_t *c ,
2688 uint8_t device_id );
2689
2690
2691 /*****************************************************************************
2692 **
2693 ** xcb_input_input_class_info_t * xcb_input_open_device_class_info
2694 **
2695 ** @param const xcb_input_open_device_reply_t *R
2696 ** @returns xcb_input_input_class_info_t *
2697 **
2698 *****************************************************************************/
2699
2700 xcb_input_input_class_info_t *
2701 xcb_input_open_device_class_info (const xcb_input_open_device_reply_t *R );
2702
2703
2704 /*****************************************************************************
2705 **
2706 ** int xcb_input_open_device_class_info_length
2707 **
2708 ** @param const xcb_input_open_device_reply_t *R
2709 ** @returns int
2710 **
2711 *****************************************************************************/
2712
2713 int
2714 xcb_input_open_device_class_info_length (const xcb_input_open_device_reply_t *R );
2715
2716
2717 /*****************************************************************************
2718 **
2719 ** xcb_input_input_class_info_iterator_t xcb_input_open_device_class_info_iterator
2720 **
2721 ** @param const xcb_input_open_device_reply_t *R
2722 ** @returns xcb_input_input_class_info_iterator_t
2723 **
2724 *****************************************************************************/
2725
2726 xcb_input_input_class_info_iterator_t
2727 xcb_input_open_device_class_info_iterator (const xcb_input_open_device_reply_t *R );
2728
2744 /*****************************************************************************
2745 **
2746 ** xcb_input_open_device_reply_t * xcb_input_open_device_reply
2747 **
2748 ** @param xcb_connection_t *c
2749 ** @param xcb_input_open_device_cookie_t cookie
2750 ** @param xcb_generic_error_t **e
2751 ** @returns xcb_input_open_device_reply_t *
2752 **
2753 *****************************************************************************/
2754
2755 xcb_input_open_device_reply_t *
2756 xcb_input_open_device_reply (xcb_connection_t *c ,
2757 xcb_input_open_device_cookie_t cookie ,
2758 xcb_generic_error_t **e );
2759
2772 /*****************************************************************************
2773 **
2774 ** xcb_void_cookie_t xcb_input_close_device_checked
2775 **
2776 ** @param xcb_connection_t *c
2777 ** @param uint8_t device_id
2778 ** @returns xcb_void_cookie_t
2779 **
2780 *****************************************************************************/
2781
2782 xcb_void_cookie_t
2783 xcb_input_close_device_checked (xcb_connection_t *c ,
2784 uint8_t device_id );
2785
2795 /*****************************************************************************
2796 **
2797 ** xcb_void_cookie_t xcb_input_close_device
2798 **
2799 ** @param xcb_connection_t *c
2800 ** @param uint8_t device_id
2801 ** @returns xcb_void_cookie_t
2802 **
2803 *****************************************************************************/
2804
2805 xcb_void_cookie_t
2806 xcb_input_close_device (xcb_connection_t *c ,
2807 uint8_t device_id );
2808
2818 /*****************************************************************************
2819 **
2820 ** xcb_input_set_device_mode_cookie_t xcb_input_set_device_mode
2821 **
2822 ** @param xcb_connection_t *c
2823 ** @param uint8_t device_id
2824 ** @param uint8_t mode
2825 ** @returns xcb_input_set_device_mode_cookie_t
2826 **
2827 *****************************************************************************/
2828
2829 xcb_input_set_device_mode_cookie_t
2830 xcb_input_set_device_mode (xcb_connection_t *c ,
2831 uint8_t device_id ,
2832 uint8_t mode );
2833
2846 /*****************************************************************************
2847 **
2848 ** xcb_input_set_device_mode_cookie_t xcb_input_set_device_mode_unchecked
2849 **
2850 ** @param xcb_connection_t *c
2851 ** @param uint8_t device_id
2852 ** @param uint8_t mode
2853 ** @returns xcb_input_set_device_mode_cookie_t
2854 **
2855 *****************************************************************************/
2856
2857 xcb_input_set_device_mode_cookie_t
2858 xcb_input_set_device_mode_unchecked (xcb_connection_t *c ,
2859 uint8_t device_id ,
2860 uint8_t mode );
2861
2877 /*****************************************************************************
2878 **
2879 ** xcb_input_set_device_mode_reply_t * xcb_input_set_device_mode_reply
2880 **
2881 ** @param xcb_connection_t *c
2882 ** @param xcb_input_set_device_mode_cookie_t cookie
2883 ** @param xcb_generic_error_t **e
2884 ** @returns xcb_input_set_device_mode_reply_t *
2885 **
2886 *****************************************************************************/
2887
2888 xcb_input_set_device_mode_reply_t *
2889 xcb_input_set_device_mode_reply (xcb_connection_t *c ,
2890 xcb_input_set_device_mode_cookie_t cookie ,
2891 xcb_generic_error_t **e );
2892
2893 int
2894 xcb_input_select_extension_event_sizeof (const void *_buffer );
2895
2908 /*****************************************************************************
2909 **
2910 ** xcb_void_cookie_t xcb_input_select_extension_event_checked
2911 **
2912 ** @param xcb_connection_t *c
2913 ** @param xcb_window_t window
2914 ** @param uint16_t num_classes
2915 ** @param const xcb_input_event_class_t *classes
2916 ** @returns xcb_void_cookie_t
2917 **
2918 *****************************************************************************/
2919
2920 xcb_void_cookie_t
2921 xcb_input_select_extension_event_checked (xcb_connection_t *c ,
2922 xcb_window_t window ,
2923 uint16_t num_classes ,
2924 const xcb_input_event_class_t *classes );
2925
2935 /*****************************************************************************
2936 **
2937 ** xcb_void_cookie_t xcb_input_select_extension_event
2938 **
2939 ** @param xcb_connection_t *c
2940 ** @param xcb_window_t window
2941 ** @param uint16_t num_classes
2942 ** @param const xcb_input_event_class_t *classes
2943 ** @returns xcb_void_cookie_t
2944 **
2945 *****************************************************************************/
2946
2947 xcb_void_cookie_t
2948 xcb_input_select_extension_event (xcb_connection_t *c ,
2949 xcb_window_t window ,
2950 uint16_t num_classes ,
2951 const xcb_input_event_class_t *classes );
2952
2953 int
2954 xcb_input_get_selected_extension_events_sizeof (const void *_buffer );
2955
2965 /*****************************************************************************
2966 **
2967 ** xcb_input_get_selected_extension_events_cookie_t xcb_input_get_selected_extension_events
2968 **
2969 ** @param xcb_connection_t *c
2970 ** @param xcb_window_t window
2971 ** @returns xcb_input_get_selected_extension_events_cookie_t
2972 **
2973 *****************************************************************************/
2974
2975 xcb_input_get_selected_extension_events_cookie_t
2976 xcb_input_get_selected_extension_events (xcb_connection_t *c ,
2977 xcb_window_t window );
2978
2991 /*****************************************************************************
2992 **
2993 ** xcb_input_get_selected_extension_events_cookie_t xcb_input_get_selected_extension_events_unchecked
2994 **
2995 ** @param xcb_connection_t *c
2996 ** @param xcb_window_t window
2997 ** @returns xcb_input_get_selected_extension_events_cookie_t
2998 **
2999 *****************************************************************************/
3000
3001 xcb_input_get_selected_extension_events_cookie_t
3002 xcb_input_get_selected_extension_events_unchecked (xcb_connection_t *c ,
3003 xcb_window_t window );
3004
3005
3006 /*****************************************************************************
3007 **
3008 ** xcb_input_event_class_t * xcb_input_get_selected_extension_events_this_classes
3009 **
3010 ** @param const xcb_input_get_selected_extension_events_reply_t *R
3011 ** @returns xcb_input_event_class_t *
3012 **
3013 *****************************************************************************/
3014
3015 xcb_input_event_class_t *
3016 xcb_input_get_selected_extension_events_this_classes (const xcb_input_get_selected_extension_events_reply_t *R );
3017
3018
3019 /*****************************************************************************
3020 **
3021 ** int xcb_input_get_selected_extension_events_this_classes_length
3022 **
3023 ** @param const xcb_input_get_selected_extension_events_reply_t *R
3024 ** @returns int
3025 **
3026 *****************************************************************************/
3027
3028 int
3029 xcb_input_get_selected_extension_events_this_classes_length (const xcb_input_get_selected_extension_events_reply_t *R );
3030
3031
3032 /*****************************************************************************
3033 **
3034 ** xcb_generic_iterator_t xcb_input_get_selected_extension_events_this_classes_end
3035 **
3036 ** @param const xcb_input_get_selected_extension_events_reply_t *R
3037 ** @returns xcb_generic_iterator_t
3038 **
3039 *****************************************************************************/
3040
3041 xcb_generic_iterator_t
3042 xcb_input_get_selected_extension_events_this_classes_end (const xcb_input_get_selected_extension_events_reply_t *R );
3043
3044
3045 /*****************************************************************************
3046 **
3047 ** xcb_input_event_class_t * xcb_input_get_selected_extension_events_all_classes
3048 **
3049 ** @param const xcb_input_get_selected_extension_events_reply_t *R
3050 ** @returns xcb_input_event_class_t *
3051 **
3052 *****************************************************************************/
3053
3054 xcb_input_event_class_t *
3055 xcb_input_get_selected_extension_events_all_classes (const xcb_input_get_selected_extension_events_reply_t *R );
3056
3057
3058 /*****************************************************************************
3059 **
3060 ** int xcb_input_get_selected_extension_events_all_classes_length
3061 **
3062 ** @param const xcb_input_get_selected_extension_events_reply_t *R
3063 ** @returns int
3064 **
3065 *****************************************************************************/
3066
3067 int
3068 xcb_input_get_selected_extension_events_all_classes_length (const xcb_input_get_selected_extension_events_reply_t *R );
3069
3070
3071 /*****************************************************************************
3072 **
3073 ** xcb_generic_iterator_t xcb_input_get_selected_extension_events_all_classes_end
3074 **
3075 ** @param const xcb_input_get_selected_extension_events_reply_t *R
3076 ** @returns xcb_generic_iterator_t
3077 **
3078 *****************************************************************************/
3079
3080 xcb_generic_iterator_t
3081 xcb_input_get_selected_extension_events_all_classes_end (const xcb_input_get_selected_extension_events_reply_t *R );
3082
3098 /*****************************************************************************
3099 **
3100 ** xcb_input_get_selected_extension_events_reply_t * xcb_input_get_selected_extension_events_reply
3101 **
3102 ** @param xcb_connection_t *c
3103 ** @param xcb_input_get_selected_extension_events_cookie_t cookie
3104 ** @param xcb_generic_error_t **e
3105 ** @returns xcb_input_get_selected_extension_events_reply_t *
3106 **
3107 *****************************************************************************/
3108
3109 xcb_input_get_selected_extension_events_reply_t *
3110 xcb_input_get_selected_extension_events_reply (xcb_connection_t *c ,
3111 xcb_input_get_selected_extension_events_cookie_t cookie ,
3112 xcb_generic_error_t **e );
3113
3114 int
3115 xcb_input_change_device_dont_propagate_list_sizeof (const void *_buffer );
3116
3129 /*****************************************************************************
3130 **
3131 ** xcb_void_cookie_t xcb_input_change_device_dont_propagate_list_checked
3132 **
3133 ** @param xcb_connection_t *c
3134 ** @param xcb_window_t window
3135 ** @param uint16_t num_classes
3136 ** @param uint8_t mode
3137 ** @param const xcb_input_event_class_t *classes
3138 ** @returns xcb_void_cookie_t
3139 **
3140 *****************************************************************************/
3141
3142 xcb_void_cookie_t
3143 xcb_input_change_device_dont_propagate_list_checked (xcb_connection_t *c ,
3144 xcb_window_t window ,
3145 uint16_t num_classes ,
3146 uint8_t mode ,
3147 const xcb_input_event_class_t *classes );
3148
3158 /*****************************************************************************
3159 **
3160 ** xcb_void_cookie_t xcb_input_change_device_dont_propagate_list
3161 **
3162 ** @param xcb_connection_t *c
3163 ** @param xcb_window_t window
3164 ** @param uint16_t num_classes
3165 ** @param uint8_t mode
3166 ** @param const xcb_input_event_class_t *classes
3167 ** @returns xcb_void_cookie_t
3168 **
3169 *****************************************************************************/
3170
3171 xcb_void_cookie_t
3172 xcb_input_change_device_dont_propagate_list (xcb_connection_t *c ,
3173 xcb_window_t window ,
3174 uint16_t num_classes ,
3175 uint8_t mode ,
3176 const xcb_input_event_class_t *classes );
3177
3178 int
3179 xcb_input_get_device_dont_propagate_list_sizeof (const void *_buffer );
3180
3190 /*****************************************************************************
3191 **
3192 ** xcb_input_get_device_dont_propagate_list_cookie_t xcb_input_get_device_dont_propagate_list
3193 **
3194 ** @param xcb_connection_t *c
3195 ** @param xcb_window_t window
3196 ** @returns xcb_input_get_device_dont_propagate_list_cookie_t
3197 **
3198 *****************************************************************************/
3199
3200 xcb_input_get_device_dont_propagate_list_cookie_t
3201 xcb_input_get_device_dont_propagate_list (xcb_connection_t *c ,
3202 xcb_window_t window );
3203
3216 /*****************************************************************************
3217 **
3218 ** xcb_input_get_device_dont_propagate_list_cookie_t xcb_input_get_device_dont_propagate_list_unchecked
3219 **
3220 ** @param xcb_connection_t *c
3221 ** @param xcb_window_t window
3222 ** @returns xcb_input_get_device_dont_propagate_list_cookie_t
3223 **
3224 *****************************************************************************/
3225
3226 xcb_input_get_device_dont_propagate_list_cookie_t
3227 xcb_input_get_device_dont_propagate_list_unchecked (xcb_connection_t *c ,
3228 xcb_window_t window );
3229
3230
3231 /*****************************************************************************
3232 **
3233 ** xcb_input_event_class_t * xcb_input_get_device_dont_propagate_list_classes
3234 **
3235 ** @param const xcb_input_get_device_dont_propagate_list_reply_t *R
3236 ** @returns xcb_input_event_class_t *
3237 **
3238 *****************************************************************************/
3239
3240 xcb_input_event_class_t *
3241 xcb_input_get_device_dont_propagate_list_classes (const xcb_input_get_device_dont_propagate_list_reply_t *R );
3242
3243
3244 /*****************************************************************************
3245 **
3246 ** int xcb_input_get_device_dont_propagate_list_classes_length
3247 **
3248 ** @param const xcb_input_get_device_dont_propagate_list_reply_t *R
3249 ** @returns int
3250 **
3251 *****************************************************************************/
3252
3253 int
3254 xcb_input_get_device_dont_propagate_list_classes_length (const xcb_input_get_device_dont_propagate_list_reply_t *R );
3255
3256
3257 /*****************************************************************************
3258 **
3259 ** xcb_generic_iterator_t xcb_input_get_device_dont_propagate_list_classes_end
3260 **
3261 ** @param const xcb_input_get_device_dont_propagate_list_reply_t *R
3262 ** @returns xcb_generic_iterator_t
3263 **
3264 *****************************************************************************/
3265
3266 xcb_generic_iterator_t
3267 xcb_input_get_device_dont_propagate_list_classes_end (const xcb_input_get_device_dont_propagate_list_reply_t *R );
3268
3284 /*****************************************************************************
3285 **
3286 ** xcb_input_get_device_dont_propagate_list_reply_t * xcb_input_get_device_dont_propagate_list_reply
3287 **
3288 ** @param xcb_connection_t *c
3289 ** @param xcb_input_get_device_dont_propagate_list_cookie_t cookie
3290 ** @param xcb_generic_error_t **e
3291 ** @returns xcb_input_get_device_dont_propagate_list_reply_t *
3292 **
3293 *****************************************************************************/
3294
3295 xcb_input_get_device_dont_propagate_list_reply_t *
3296 xcb_input_get_device_dont_propagate_list_reply (xcb_connection_t *c ,
3297 xcb_input_get_device_dont_propagate_list_cookie_t cookie ,
3298 xcb_generic_error_t **e );
3299
3309 /*****************************************************************************
3310 **
3311 ** xcb_input_get_device_motion_events_cookie_t xcb_input_get_device_motion_events
3312 **
3313 ** @param xcb_connection_t *c
3314 ** @param xcb_timestamp_t start
3315 ** @param xcb_timestamp_t stop
3316 ** @param uint8_t device_id
3317 ** @returns xcb_input_get_device_motion_events_cookie_t
3318 **
3319 *****************************************************************************/
3320
3321 xcb_input_get_device_motion_events_cookie_t
3322 xcb_input_get_device_motion_events (xcb_connection_t *c ,
3323 xcb_timestamp_t start ,
3324 xcb_timestamp_t stop ,
3325 uint8_t device_id );
3326
3339 /*****************************************************************************
3340 **
3341 ** xcb_input_get_device_motion_events_cookie_t xcb_input_get_device_motion_events_unchecked
3342 **
3343 ** @param xcb_connection_t *c
3344 ** @param xcb_timestamp_t start
3345 ** @param xcb_timestamp_t stop
3346 ** @param uint8_t device_id
3347 ** @returns xcb_input_get_device_motion_events_cookie_t
3348 **
3349 *****************************************************************************/
3350
3351 xcb_input_get_device_motion_events_cookie_t
3352 xcb_input_get_device_motion_events_unchecked (xcb_connection_t *c ,
3353 xcb_timestamp_t start ,
3354 xcb_timestamp_t stop ,
3355 uint8_t device_id );
3356
3372 /*****************************************************************************
3373 **
3374 ** xcb_input_get_device_motion_events_reply_t * xcb_input_get_device_motion_events_reply
3375 **
3376 ** @param xcb_connection_t *c
3377 ** @param xcb_input_get_device_motion_events_cookie_t cookie
3378 ** @param xcb_generic_error_t **e
3379 ** @returns xcb_input_get_device_motion_events_reply_t *
3380 **
3381 *****************************************************************************/
3382
3383 xcb_input_get_device_motion_events_reply_t *
3384 xcb_input_get_device_motion_events_reply (xcb_connection_t *c ,
3385 xcb_input_get_device_motion_events_cookie_t cookie ,
3386 xcb_generic_error_t **e );
3387
3397 /*****************************************************************************
3398 **
3399 ** void xcb_input_device_time_coord_next
3400 **
3401 ** @param xcb_input_device_time_coord_iterator_t *i
3402 ** @returns void
3403 **
3404 *****************************************************************************/
3405
3406 void
3407 xcb_input_device_time_coord_next (xcb_input_device_time_coord_iterator_t *i );
3408
3419 /*****************************************************************************
3420 **
3421 ** xcb_generic_iterator_t xcb_input_device_time_coord_end
3422 **
3423 ** @param xcb_input_device_time_coord_iterator_t i
3424 ** @returns xcb_generic_iterator_t
3425 **
3426 *****************************************************************************/
3427
3428 xcb_generic_iterator_t
3429 xcb_input_device_time_coord_end (xcb_input_device_time_coord_iterator_t i );
3430
3440 /*****************************************************************************
3441 **
3442 ** xcb_input_change_keyboard_device_cookie_t xcb_input_change_keyboard_device
3443 **
3444 ** @param xcb_connection_t *c
3445 ** @param uint8_t device_id
3446 ** @returns xcb_input_change_keyboard_device_cookie_t
3447 **
3448 *****************************************************************************/
3449
3450 xcb_input_change_keyboard_device_cookie_t
3451 xcb_input_change_keyboard_device (xcb_connection_t *c ,
3452 uint8_t device_id );
3453
3466 /*****************************************************************************
3467 **
3468 ** xcb_input_change_keyboard_device_cookie_t xcb_input_change_keyboard_device_unchecked
3469 **
3470 ** @param xcb_connection_t *c
3471 ** @param uint8_t device_id
3472 ** @returns xcb_input_change_keyboard_device_cookie_t
3473 **
3474 *****************************************************************************/
3475
3476 xcb_input_change_keyboard_device_cookie_t
3477 xcb_input_change_keyboard_device_unchecked (xcb_connection_t *c ,
3478 uint8_t device_id );
3479
3495 /*****************************************************************************
3496 **
3497 ** xcb_input_change_keyboard_device_reply_t * xcb_input_change_keyboard_device_reply
3498 **
3499 ** @param xcb_connection_t *c
3500 ** @param xcb_input_change_keyboard_device_cookie_t cookie
3501 ** @param xcb_generic_error_t **e
3502 ** @returns xcb_input_change_keyboard_device_reply_t *
3503 **
3504 *****************************************************************************/
3505
3506 xcb_input_change_keyboard_device_reply_t *
3507 xcb_input_change_keyboard_device_reply (xcb_connection_t *c ,
3508 xcb_input_change_keyboard_device_cookie_t cookie ,
3509 xcb_generic_error_t **e );
3510
3520 /*****************************************************************************
3521 **
3522 ** xcb_input_change_pointer_device_cookie_t xcb_input_change_pointer_device
3523 **
3524 ** @param xcb_connection_t *c
3525 ** @param uint8_t x_axis
3526 ** @param uint8_t y_axis
3527 ** @param uint8_t device_id
3528 ** @returns xcb_input_change_pointer_device_cookie_t
3529 **
3530 *****************************************************************************/
3531
3532 xcb_input_change_pointer_device_cookie_t
3533 xcb_input_change_pointer_device (xcb_connection_t *c ,
3534 uint8_t x_axis ,
3535 uint8_t y_axis ,
3536 uint8_t device_id );
3537
3550 /*****************************************************************************
3551 **
3552 ** xcb_input_change_pointer_device_cookie_t xcb_input_change_pointer_device_unchecked
3553 **
3554 ** @param xcb_connection_t *c
3555 ** @param uint8_t x_axis
3556 ** @param uint8_t y_axis
3557 ** @param uint8_t device_id
3558 ** @returns xcb_input_change_pointer_device_cookie_t
3559 **
3560 *****************************************************************************/
3561
3562 xcb_input_change_pointer_device_cookie_t
3563 xcb_input_change_pointer_device_unchecked (xcb_connection_t *c ,
3564 uint8_t x_axis ,
3565 uint8_t y_axis ,
3566 uint8_t device_id );
3567
3583 /*****************************************************************************
3584 **
3585 ** xcb_input_change_pointer_device_reply_t * xcb_input_change_pointer_device_reply
3586 **
3587 ** @param xcb_connection_t *c
3588 ** @param xcb_input_change_pointer_device_cookie_t cookie
3589 ** @param xcb_generic_error_t **e
3590 ** @returns xcb_input_change_pointer_device_reply_t *
3591 **
3592 *****************************************************************************/
3593
3594 xcb_input_change_pointer_device_reply_t *
3595 xcb_input_change_pointer_device_reply (xcb_connection_t *c ,
3596 xcb_input_change_pointer_device_cookie_t cookie ,
3597 xcb_generic_error_t **e );
3598
3599 int
3600 xcb_input_grab_device_sizeof (const void *_buffer );
3601
3611 /*****************************************************************************
3612 **
3613 ** xcb_input_grab_device_cookie_t xcb_input_grab_device
3614 **
3615 ** @param xcb_connection_t *c
3616 ** @param xcb_window_t grab_window
3617 ** @param xcb_timestamp_t time
3618 ** @param uint16_t num_classes
3619 ** @param uint8_t this_device_mode
3620 ** @param uint8_t other_device_mode
3621 ** @param uint8_t owner_events
3622 ** @param uint8_t device_id
3623 ** @param const xcb_input_event_class_t *classes
3624 ** @returns xcb_input_grab_device_cookie_t
3625 **
3626 *****************************************************************************/
3627
3628 xcb_input_grab_device_cookie_t
3629 xcb_input_grab_device (xcb_connection_t *c ,
3630 xcb_window_t grab_window ,
3631 xcb_timestamp_t time ,
3632 uint16_t num_classes ,
3633 uint8_t this_device_mode ,
3634 uint8_t other_device_mode ,
3635 uint8_t owner_events ,
3636 uint8_t device_id ,
3637 const xcb_input_event_class_t *classes );
3638
3651 /*****************************************************************************
3652 **
3653 ** xcb_input_grab_device_cookie_t xcb_input_grab_device_unchecked
3654 **
3655 ** @param xcb_connection_t *c
3656 ** @param xcb_window_t grab_window
3657 ** @param xcb_timestamp_t time
3658 ** @param uint16_t num_classes
3659 ** @param uint8_t this_device_mode
3660 ** @param uint8_t other_device_mode
3661 ** @param uint8_t owner_events
3662 ** @param uint8_t device_id
3663 ** @param const xcb_input_event_class_t *classes
3664 ** @returns xcb_input_grab_device_cookie_t
3665 **
3666 *****************************************************************************/
3667
3668 xcb_input_grab_device_cookie_t
3669 xcb_input_grab_device_unchecked (xcb_connection_t *c ,
3670 xcb_window_t grab_window ,
3671 xcb_timestamp_t time ,
3672 uint16_t num_classes ,
3673 uint8_t this_device_mode ,
3674 uint8_t other_device_mode ,
3675 uint8_t owner_events ,
3676 uint8_t device_id ,
3677 const xcb_input_event_class_t *classes );
3678
3694 /*****************************************************************************
3695 **
3696 ** xcb_input_grab_device_reply_t * xcb_input_grab_device_reply
3697 **
3698 ** @param xcb_connection_t *c
3699 ** @param xcb_input_grab_device_cookie_t cookie
3700 ** @param xcb_generic_error_t **e
3701 ** @returns xcb_input_grab_device_reply_t *
3702 **
3703 *****************************************************************************/
3704
3705 xcb_input_grab_device_reply_t *
3706 xcb_input_grab_device_reply (xcb_connection_t *c ,
3707 xcb_input_grab_device_cookie_t cookie ,
3708 xcb_generic_error_t **e );
3709
3722 /*****************************************************************************
3723 **
3724 ** xcb_void_cookie_t xcb_input_ungrab_device_checked
3725 **
3726 ** @param xcb_connection_t *c
3727 ** @param xcb_timestamp_t time
3728 ** @param uint8_t device_id
3729 ** @returns xcb_void_cookie_t
3730 **
3731 *****************************************************************************/
3732
3733 xcb_void_cookie_t
3734 xcb_input_ungrab_device_checked (xcb_connection_t *c ,
3735 xcb_timestamp_t time ,
3736 uint8_t device_id );
3737
3747 /*****************************************************************************
3748 **
3749 ** xcb_void_cookie_t xcb_input_ungrab_device
3750 **
3751 ** @param xcb_connection_t *c
3752 ** @param xcb_timestamp_t time
3753 ** @param uint8_t device_id
3754 ** @returns xcb_void_cookie_t
3755 **
3756 *****************************************************************************/
3757
3758 xcb_void_cookie_t
3759 xcb_input_ungrab_device (xcb_connection_t *c ,
3760 xcb_timestamp_t time ,
3761 uint8_t device_id );
3762
3763 int
3764 xcb_input_grab_device_key_sizeof (const void *_buffer );
3765
3778 /*****************************************************************************
3779 **
3780 ** xcb_void_cookie_t xcb_input_grab_device_key_checked
3781 **
3782 ** @param xcb_connection_t *c
3783 ** @param xcb_window_t grab_window
3784 ** @param uint16_t num_classes
3785 ** @param uint16_t modifiers
3786 ** @param uint8_t modifier_device
3787 ** @param uint8_t grabbed_device
3788 ** @param uint8_t key
3789 ** @param uint8_t this_device_mode
3790 ** @param uint8_t other_device_mode
3791 ** @param uint8_t owner_events
3792 ** @param const xcb_input_event_class_t *classes
3793 ** @returns xcb_void_cookie_t
3794 **
3795 *****************************************************************************/
3796
3797 xcb_void_cookie_t
3798 xcb_input_grab_device_key_checked (xcb_connection_t *c ,
3799 xcb_window_t grab_window ,
3800 uint16_t num_classes ,
3801 uint16_t modifiers ,
3802 uint8_t modifier_device ,
3803 uint8_t grabbed_device ,
3804 uint8_t key ,
3805 uint8_t this_device_mode ,
3806 uint8_t other_device_mode ,
3807 uint8_t owner_events ,
3808 const xcb_input_event_class_t *classes );
3809
3819 /*****************************************************************************
3820 **
3821 ** xcb_void_cookie_t xcb_input_grab_device_key
3822 **
3823 ** @param xcb_connection_t *c
3824 ** @param xcb_window_t grab_window
3825 ** @param uint16_t num_classes
3826 ** @param uint16_t modifiers
3827 ** @param uint8_t modifier_device
3828 ** @param uint8_t grabbed_device
3829 ** @param uint8_t key
3830 ** @param uint8_t this_device_mode
3831 ** @param uint8_t other_device_mode
3832 ** @param uint8_t owner_events
3833 ** @param const xcb_input_event_class_t *classes
3834 ** @returns xcb_void_cookie_t
3835 **
3836 *****************************************************************************/
3837
3838 xcb_void_cookie_t
3839 xcb_input_grab_device_key (xcb_connection_t *c ,
3840 xcb_window_t grab_window ,
3841 uint16_t num_classes ,
3842 uint16_t modifiers ,
3843 uint8_t modifier_device ,
3844 uint8_t grabbed_device ,
3845 uint8_t key ,
3846 uint8_t this_device_mode ,
3847 uint8_t other_device_mode ,
3848 uint8_t owner_events ,
3849 const xcb_input_event_class_t *classes );
3850
3863 /*****************************************************************************
3864 **
3865 ** xcb_void_cookie_t xcb_input_ungrab_device_key_checked
3866 **
3867 ** @param xcb_connection_t *c
3868 ** @param xcb_window_t grabWindow
3869 ** @param uint16_t modifiers
3870 ** @param uint8_t modifier_device
3871 ** @param uint8_t key
3872 ** @param uint8_t grabbed_device
3873 ** @returns xcb_void_cookie_t
3874 **
3875 *****************************************************************************/
3876
3877 xcb_void_cookie_t
3878 xcb_input_ungrab_device_key_checked (xcb_connection_t *c ,
3879 xcb_window_t grabWindow ,
3880 uint16_t modifiers ,
3881 uint8_t modifier_device ,
3882 uint8_t key ,
3883 uint8_t grabbed_device );
3884
3894 /*****************************************************************************
3895 **
3896 ** xcb_void_cookie_t xcb_input_ungrab_device_key
3897 **
3898 ** @param xcb_connection_t *c
3899 ** @param xcb_window_t grabWindow
3900 ** @param uint16_t modifiers
3901 ** @param uint8_t modifier_device
3902 ** @param uint8_t key
3903 ** @param uint8_t grabbed_device
3904 ** @returns xcb_void_cookie_t
3905 **
3906 *****************************************************************************/
3907
3908 xcb_void_cookie_t
3909 xcb_input_ungrab_device_key (xcb_connection_t *c ,
3910 xcb_window_t grabWindow ,
3911 uint16_t modifiers ,
3912 uint8_t modifier_device ,
3913 uint8_t key ,
3914 uint8_t grabbed_device );
3915
3916 int
3917 xcb_input_grab_device_button_sizeof (const void *_buffer );
3918
3931 /*****************************************************************************
3932 **
3933 ** xcb_void_cookie_t xcb_input_grab_device_button_checked
3934 **
3935 ** @param xcb_connection_t *c
3936 ** @param xcb_window_t grab_window
3937 ** @param uint8_t grabbed_device
3938 ** @param uint8_t modifier_device
3939 ** @param uint16_t num_classes
3940 ** @param uint16_t modifiers
3941 ** @param uint8_t this_device_mode
3942 ** @param uint8_t other_device_mode
3943 ** @param uint8_t button
3944 ** @param uint8_t owner_events
3945 ** @param const xcb_input_event_class_t *classes
3946 ** @returns xcb_void_cookie_t
3947 **
3948 *****************************************************************************/
3949
3950 xcb_void_cookie_t
3951 xcb_input_grab_device_button_checked (xcb_connection_t *c ,
3952 xcb_window_t grab_window ,
3953 uint8_t grabbed_device ,
3954 uint8_t modifier_device ,
3955 uint16_t num_classes ,
3956 uint16_t modifiers ,
3957 uint8_t this_device_mode ,
3958 uint8_t other_device_mode ,
3959 uint8_t button ,
3960 uint8_t owner_events ,
3961 const xcb_input_event_class_t *classes );
3962
3972 /*****************************************************************************
3973 **
3974 ** xcb_void_cookie_t xcb_input_grab_device_button
3975 **
3976 ** @param xcb_connection_t *c
3977 ** @param xcb_window_t grab_window
3978 ** @param uint8_t grabbed_device
3979 ** @param uint8_t modifier_device
3980 ** @param uint16_t num_classes
3981 ** @param uint16_t modifiers
3982 ** @param uint8_t this_device_mode
3983 ** @param uint8_t other_device_mode
3984 ** @param uint8_t button
3985 ** @param uint8_t owner_events
3986 ** @param const xcb_input_event_class_t *classes
3987 ** @returns xcb_void_cookie_t
3988 **
3989 *****************************************************************************/
3990
3991 xcb_void_cookie_t
3992 xcb_input_grab_device_button (xcb_connection_t *c ,
3993 xcb_window_t grab_window ,
3994 uint8_t grabbed_device ,
3995 uint8_t modifier_device ,
3996 uint16_t num_classes ,
3997 uint16_t modifiers ,
3998 uint8_t this_device_mode ,
3999 uint8_t other_device_mode ,
4000 uint8_t button ,
4001 uint8_t owner_events ,
4002 const xcb_input_event_class_t *classes );
4003
4016 /*****************************************************************************
4017 **
4018 ** xcb_void_cookie_t xcb_input_ungrab_device_button_checked
4019 **
4020 ** @param xcb_connection_t *c
4021 ** @param xcb_window_t grab_window
4022 ** @param uint16_t modifiers
4023 ** @param uint8_t modifier_device
4024 ** @param uint8_t button
4025 ** @param uint8_t grabbed_device
4026 ** @returns xcb_void_cookie_t
4027 **
4028 *****************************************************************************/
4029
4030 xcb_void_cookie_t
4031 xcb_input_ungrab_device_button_checked (xcb_connection_t *c ,
4032 xcb_window_t grab_window ,
4033 uint16_t modifiers ,
4034 uint8_t modifier_device ,
4035 uint8_t button ,
4036 uint8_t grabbed_device );
4037
4047 /*****************************************************************************
4048 **
4049 ** xcb_void_cookie_t xcb_input_ungrab_device_button
4050 **
4051 ** @param xcb_connection_t *c
4052 ** @param xcb_window_t grab_window
4053 ** @param uint16_t modifiers
4054 ** @param uint8_t modifier_device
4055 ** @param uint8_t button
4056 ** @param uint8_t grabbed_device
4057 ** @returns xcb_void_cookie_t
4058 **
4059 *****************************************************************************/
4060
4061 xcb_void_cookie_t
4062 xcb_input_ungrab_device_button (xcb_connection_t *c ,
4063 xcb_window_t grab_window ,
4064 uint16_t modifiers ,
4065 uint8_t modifier_device ,
4066 uint8_t button ,
4067 uint8_t grabbed_device );
4068
4081 /*****************************************************************************
4082 **
4083 ** xcb_void_cookie_t xcb_input_allow_device_events_checked
4084 **
4085 ** @param xcb_connection_t *c
4086 ** @param xcb_timestamp_t time
4087 ** @param uint8_t mode
4088 ** @param uint8_t device_id
4089 ** @returns xcb_void_cookie_t
4090 **
4091 *****************************************************************************/
4092
4093 xcb_void_cookie_t
4094 xcb_input_allow_device_events_checked (xcb_connection_t *c ,
4095 xcb_timestamp_t time ,
4096 uint8_t mode ,
4097 uint8_t device_id );
4098
4108 /*****************************************************************************
4109 **
4110 ** xcb_void_cookie_t xcb_input_allow_device_events
4111 **
4112 ** @param xcb_connection_t *c
4113 ** @param xcb_timestamp_t time
4114 ** @param uint8_t mode
4115 ** @param uint8_t device_id
4116 ** @returns xcb_void_cookie_t
4117 **
4118 *****************************************************************************/
4119
4120 xcb_void_cookie_t
4121 xcb_input_allow_device_events (xcb_connection_t *c ,
4122 xcb_timestamp_t time ,
4123 uint8_t mode ,
4124 uint8_t device_id );
4125
4135 /*****************************************************************************
4136 **
4137 ** xcb_input_get_device_focus_cookie_t xcb_input_get_device_focus
4138 **
4139 ** @param xcb_connection_t *c
4140 ** @param uint8_t device_id
4141 ** @returns xcb_input_get_device_focus_cookie_t
4142 **
4143 *****************************************************************************/
4144
4145 xcb_input_get_device_focus_cookie_t
4146 xcb_input_get_device_focus (xcb_connection_t *c ,
4147 uint8_t device_id );
4148
4161 /*****************************************************************************
4162 **
4163 ** xcb_input_get_device_focus_cookie_t xcb_input_get_device_focus_unchecked
4164 **
4165 ** @param xcb_connection_t *c
4166 ** @param uint8_t device_id
4167 ** @returns xcb_input_get_device_focus_cookie_t
4168 **
4169 *****************************************************************************/
4170
4171 xcb_input_get_device_focus_cookie_t
4172 xcb_input_get_device_focus_unchecked (xcb_connection_t *c ,
4173 uint8_t device_id );
4174
4190 /*****************************************************************************
4191 **
4192 ** xcb_input_get_device_focus_reply_t * xcb_input_get_device_focus_reply
4193 **
4194 ** @param xcb_connection_t *c
4195 ** @param xcb_input_get_device_focus_cookie_t cookie
4196 ** @param xcb_generic_error_t **e
4197 ** @returns xcb_input_get_device_focus_reply_t *
4198 **
4199 *****************************************************************************/
4200
4201 xcb_input_get_device_focus_reply_t *
4202 xcb_input_get_device_focus_reply (xcb_connection_t *c ,
4203 xcb_input_get_device_focus_cookie_t cookie ,
4204 xcb_generic_error_t **e );
4205
4218 /*****************************************************************************
4219 **
4220 ** xcb_void_cookie_t xcb_input_set_device_focus_checked
4221 **
4222 ** @param xcb_connection_t *c
4223 ** @param xcb_window_t focus
4224 ** @param xcb_timestamp_t time
4225 ** @param uint8_t revert_to
4226 ** @param uint8_t device_id
4227 ** @returns xcb_void_cookie_t
4228 **
4229 *****************************************************************************/
4230
4231 xcb_void_cookie_t
4232 xcb_input_set_device_focus_checked (xcb_connection_t *c ,
4233 xcb_window_t focus ,
4234 xcb_timestamp_t time ,
4235 uint8_t revert_to ,
4236 uint8_t device_id );
4237
4247 /*****************************************************************************
4248 **
4249 ** xcb_void_cookie_t xcb_input_set_device_focus
4250 **
4251 ** @param xcb_connection_t *c
4252 ** @param xcb_window_t focus
4253 ** @param xcb_timestamp_t time
4254 ** @param uint8_t revert_to
4255 ** @param uint8_t device_id
4256 ** @returns xcb_void_cookie_t
4257 **
4258 *****************************************************************************/
4259
4260 xcb_void_cookie_t
4261 xcb_input_set_device_focus (xcb_connection_t *c ,
4262 xcb_window_t focus ,
4263 xcb_timestamp_t time ,
4264 uint8_t revert_to ,
4265 uint8_t device_id );
4266
4276 /*****************************************************************************
4277 **
4278 ** xcb_input_get_feedback_control_cookie_t xcb_input_get_feedback_control
4279 **
4280 ** @param xcb_connection_t *c
4281 ** @param uint8_t device_id
4282 ** @returns xcb_input_get_feedback_control_cookie_t
4283 **
4284 *****************************************************************************/
4285
4286 xcb_input_get_feedback_control_cookie_t
4287 xcb_input_get_feedback_control (xcb_connection_t *c ,
4288 uint8_t device_id );
4289
4302 /*****************************************************************************
4303 **
4304 ** xcb_input_get_feedback_control_cookie_t xcb_input_get_feedback_control_unchecked
4305 **
4306 ** @param xcb_connection_t *c
4307 ** @param uint8_t device_id
4308 ** @returns xcb_input_get_feedback_control_cookie_t
4309 **
4310 *****************************************************************************/
4311
4312 xcb_input_get_feedback_control_cookie_t
4313 xcb_input_get_feedback_control_unchecked (xcb_connection_t *c ,
4314 uint8_t device_id );
4315
4331 /*****************************************************************************
4332 **
4333 ** xcb_input_get_feedback_control_reply_t * xcb_input_get_feedback_control_reply
4334 **
4335 ** @param xcb_connection_t *c
4336 ** @param xcb_input_get_feedback_control_cookie_t cookie
4337 ** @param xcb_generic_error_t **e
4338 ** @returns xcb_input_get_feedback_control_reply_t *
4339 **
4340 *****************************************************************************/
4341
4342 xcb_input_get_feedback_control_reply_t *
4343 xcb_input_get_feedback_control_reply (xcb_connection_t *c ,
4344 xcb_input_get_feedback_control_cookie_t cookie ,
4345 xcb_generic_error_t **e );
4346
4356 /*****************************************************************************
4357 **
4358 ** void xcb_input_feedback_state_next
4359 **
4360 ** @param xcb_input_feedback_state_iterator_t *i
4361 ** @returns void
4362 **
4363 *****************************************************************************/
4364
4365 void
4366 xcb_input_feedback_state_next (xcb_input_feedback_state_iterator_t *i );
4367
4378 /*****************************************************************************
4379 **
4380 ** xcb_generic_iterator_t xcb_input_feedback_state_end
4381 **
4382 ** @param xcb_input_feedback_state_iterator_t i
4383 ** @returns xcb_generic_iterator_t
4384 **
4385 *****************************************************************************/
4386
4387 xcb_generic_iterator_t
4388 xcb_input_feedback_state_end (xcb_input_feedback_state_iterator_t i );
4389
4399 /*****************************************************************************
4400 **
4401 ** void xcb_input_kbd_feedback_state_next
4402 **
4403 ** @param xcb_input_kbd_feedback_state_iterator_t *i
4404 ** @returns void
4405 **
4406 *****************************************************************************/
4407
4408 void
4409 xcb_input_kbd_feedback_state_next (xcb_input_kbd_feedback_state_iterator_t *i );
4410
4421 /*****************************************************************************
4422 **
4423 ** xcb_generic_iterator_t xcb_input_kbd_feedback_state_end
4424 **
4425 ** @param xcb_input_kbd_feedback_state_iterator_t i
4426 ** @returns xcb_generic_iterator_t
4427 **
4428 *****************************************************************************/
4429
4430 xcb_generic_iterator_t
4431 xcb_input_kbd_feedback_state_end (xcb_input_kbd_feedback_state_iterator_t i );
4432
4442 /*****************************************************************************
4443 **
4444 ** void xcb_input_ptr_feedback_state_next
4445 **
4446 ** @param xcb_input_ptr_feedback_state_iterator_t *i
4447 ** @returns void
4448 **
4449 *****************************************************************************/
4450
4451 void
4452 xcb_input_ptr_feedback_state_next (xcb_input_ptr_feedback_state_iterator_t *i );
4453
4464 /*****************************************************************************
4465 **
4466 ** xcb_generic_iterator_t xcb_input_ptr_feedback_state_end
4467 **
4468 ** @param xcb_input_ptr_feedback_state_iterator_t i
4469 ** @returns xcb_generic_iterator_t
4470 **
4471 *****************************************************************************/
4472
4473 xcb_generic_iterator_t
4474 xcb_input_ptr_feedback_state_end (xcb_input_ptr_feedback_state_iterator_t i );
4475
4485 /*****************************************************************************
4486 **
4487 ** void xcb_input_integer_feedback_state_next
4488 **
4489 ** @param xcb_input_integer_feedback_state_iterator_t *i
4490 ** @returns void
4491 **
4492 *****************************************************************************/
4493
4494 void
4495 xcb_input_integer_feedback_state_next (xcb_input_integer_feedback_state_iterator_t *i );
4496
4507 /*****************************************************************************
4508 **
4509 ** xcb_generic_iterator_t xcb_input_integer_feedback_state_end
4510 **
4511 ** @param xcb_input_integer_feedback_state_iterator_t i
4512 ** @returns xcb_generic_iterator_t
4513 **
4514 *****************************************************************************/
4515
4516 xcb_generic_iterator_t
4517 xcb_input_integer_feedback_state_end (xcb_input_integer_feedback_state_iterator_t i );
4518
4519 int
4520 xcb_input_string_feedback_state_sizeof (const void *_buffer );
4521
4522
4523 /*****************************************************************************
4524 **
4525 ** xcb_keysym_t * xcb_input_string_feedback_state_keysyms
4526 **
4527 ** @param const xcb_input_string_feedback_state_t *R
4528 ** @returns xcb_keysym_t *
4529 **
4530 *****************************************************************************/
4531
4532 xcb_keysym_t *
4533 xcb_input_string_feedback_state_keysyms (const xcb_input_string_feedback_state_t *R );
4534
4535
4536 /*****************************************************************************
4537 **
4538 ** int xcb_input_string_feedback_state_keysyms_length
4539 **
4540 ** @param const xcb_input_string_feedback_state_t *R
4541 ** @returns int
4542 **
4543 *****************************************************************************/
4544
4545 int
4546 xcb_input_string_feedback_state_keysyms_length (const xcb_input_string_feedback_state_t *R );
4547
4548
4549 /*****************************************************************************
4550 **
4551 ** xcb_generic_iterator_t xcb_input_string_feedback_state_keysyms_end
4552 **
4553 ** @param const xcb_input_string_feedback_state_t *R
4554 ** @returns xcb_generic_iterator_t
4555 **
4556 *****************************************************************************/
4557
4558 xcb_generic_iterator_t
4559 xcb_input_string_feedback_state_keysyms_end (const xcb_input_string_feedback_state_t *R );
4560
4570 /*****************************************************************************
4571 **
4572 ** void xcb_input_string_feedback_state_next
4573 **
4574 ** @param xcb_input_string_feedback_state_iterator_t *i
4575 ** @returns void
4576 **
4577 *****************************************************************************/
4578
4579 void
4580 xcb_input_string_feedback_state_next (xcb_input_string_feedback_state_iterator_t *i );
4581
4592 /*****************************************************************************
4593 **
4594 ** xcb_generic_iterator_t xcb_input_string_feedback_state_end
4595 **
4596 ** @param xcb_input_string_feedback_state_iterator_t i
4597 ** @returns xcb_generic_iterator_t
4598 **
4599 *****************************************************************************/
4600
4601 xcb_generic_iterator_t
4602 xcb_input_string_feedback_state_end (xcb_input_string_feedback_state_iterator_t i );
4603
4613 /*****************************************************************************
4614 **
4615 ** void xcb_input_bell_feedback_state_next
4616 **
4617 ** @param xcb_input_bell_feedback_state_iterator_t *i
4618 ** @returns void
4619 **
4620 *****************************************************************************/
4621
4622 void
4623 xcb_input_bell_feedback_state_next (xcb_input_bell_feedback_state_iterator_t *i );
4624
4635 /*****************************************************************************
4636 **
4637 ** xcb_generic_iterator_t xcb_input_bell_feedback_state_end
4638 **
4639 ** @param xcb_input_bell_feedback_state_iterator_t i
4640 ** @returns xcb_generic_iterator_t
4641 **
4642 *****************************************************************************/
4643
4644 xcb_generic_iterator_t
4645 xcb_input_bell_feedback_state_end (xcb_input_bell_feedback_state_iterator_t i );
4646
4656 /*****************************************************************************
4657 **
4658 ** void xcb_input_led_feedback_state_next
4659 **
4660 ** @param xcb_input_led_feedback_state_iterator_t *i
4661 ** @returns void
4662 **
4663 *****************************************************************************/
4664
4665 void
4666 xcb_input_led_feedback_state_next (xcb_input_led_feedback_state_iterator_t *i );
4667
4678 /*****************************************************************************
4679 **
4680 ** xcb_generic_iterator_t xcb_input_led_feedback_state_end
4681 **
4682 ** @param xcb_input_led_feedback_state_iterator_t i
4683 ** @returns xcb_generic_iterator_t
4684 **
4685 *****************************************************************************/
4686
4687 xcb_generic_iterator_t
4688 xcb_input_led_feedback_state_end (xcb_input_led_feedback_state_iterator_t i );
4689
4699 /*****************************************************************************
4700 **
4701 ** void xcb_input_feedback_ctl_next
4702 **
4703 ** @param xcb_input_feedback_ctl_iterator_t *i
4704 ** @returns void
4705 **
4706 *****************************************************************************/
4707
4708 void
4709 xcb_input_feedback_ctl_next (xcb_input_feedback_ctl_iterator_t *i );
4710
4721 /*****************************************************************************
4722 **
4723 ** xcb_generic_iterator_t xcb_input_feedback_ctl_end
4724 **
4725 ** @param xcb_input_feedback_ctl_iterator_t i
4726 ** @returns xcb_generic_iterator_t
4727 **
4728 *****************************************************************************/
4729
4730 xcb_generic_iterator_t
4731 xcb_input_feedback_ctl_end (xcb_input_feedback_ctl_iterator_t i );
4732
4742 /*****************************************************************************
4743 **
4744 ** void xcb_input_kbd_feedback_ctl_next
4745 **
4746 ** @param xcb_input_kbd_feedback_ctl_iterator_t *i
4747 ** @returns void
4748 **
4749 *****************************************************************************/
4750
4751 void
4752 xcb_input_kbd_feedback_ctl_next (xcb_input_kbd_feedback_ctl_iterator_t *i );
4753
4764 /*****************************************************************************
4765 **
4766 ** xcb_generic_iterator_t xcb_input_kbd_feedback_ctl_end
4767 **
4768 ** @param xcb_input_kbd_feedback_ctl_iterator_t i
4769 ** @returns xcb_generic_iterator_t
4770 **
4771 *****************************************************************************/
4772
4773 xcb_generic_iterator_t
4774 xcb_input_kbd_feedback_ctl_end (xcb_input_kbd_feedback_ctl_iterator_t i );
4775
4785 /*****************************************************************************
4786 **
4787 ** void xcb_input_ptr_feedback_ctl_next
4788 **
4789 ** @param xcb_input_ptr_feedback_ctl_iterator_t *i
4790 ** @returns void
4791 **
4792 *****************************************************************************/
4793
4794 void
4795 xcb_input_ptr_feedback_ctl_next (xcb_input_ptr_feedback_ctl_iterator_t *i );
4796
4807 /*****************************************************************************
4808 **
4809 ** xcb_generic_iterator_t xcb_input_ptr_feedback_ctl_end
4810 **
4811 ** @param xcb_input_ptr_feedback_ctl_iterator_t i
4812 ** @returns xcb_generic_iterator_t
4813 **
4814 *****************************************************************************/
4815
4816 xcb_generic_iterator_t
4817 xcb_input_ptr_feedback_ctl_end (xcb_input_ptr_feedback_ctl_iterator_t i );
4818
4828 /*****************************************************************************
4829 **
4830 ** void xcb_input_integer_feedback_ctl_next
4831 **
4832 ** @param xcb_input_integer_feedback_ctl_iterator_t *i
4833 ** @returns void
4834 **
4835 *****************************************************************************/
4836
4837 void
4838 xcb_input_integer_feedback_ctl_next (xcb_input_integer_feedback_ctl_iterator_t *i );
4839
4850 /*****************************************************************************
4851 **
4852 ** xcb_generic_iterator_t xcb_input_integer_feedback_ctl_end
4853 **
4854 ** @param xcb_input_integer_feedback_ctl_iterator_t i
4855 ** @returns xcb_generic_iterator_t
4856 **
4857 *****************************************************************************/
4858
4859 xcb_generic_iterator_t
4860 xcb_input_integer_feedback_ctl_end (xcb_input_integer_feedback_ctl_iterator_t i );
4861
4862 int
4863 xcb_input_string_feedback_ctl_sizeof (const void *_buffer );
4864
4865
4866 /*****************************************************************************
4867 **
4868 ** xcb_keysym_t * xcb_input_string_feedback_ctl_keysyms
4869 **
4870 ** @param const xcb_input_string_feedback_ctl_t *R
4871 ** @returns xcb_keysym_t *
4872 **
4873 *****************************************************************************/
4874
4875 xcb_keysym_t *
4876 xcb_input_string_feedback_ctl_keysyms (const xcb_input_string_feedback_ctl_t *R );
4877
4878
4879 /*****************************************************************************
4880 **
4881 ** int xcb_input_string_feedback_ctl_keysyms_length
4882 **
4883 ** @param const xcb_input_string_feedback_ctl_t *R
4884 ** @returns int
4885 **
4886 *****************************************************************************/
4887
4888 int
4889 xcb_input_string_feedback_ctl_keysyms_length (const xcb_input_string_feedback_ctl_t *R );
4890
4891
4892 /*****************************************************************************
4893 **
4894 ** xcb_generic_iterator_t xcb_input_string_feedback_ctl_keysyms_end
4895 **
4896 ** @param const xcb_input_string_feedback_ctl_t *R
4897 ** @returns xcb_generic_iterator_t
4898 **
4899 *****************************************************************************/
4900
4901 xcb_generic_iterator_t
4902 xcb_input_string_feedback_ctl_keysyms_end (const xcb_input_string_feedback_ctl_t *R );
4903
4913 /*****************************************************************************
4914 **
4915 ** void xcb_input_string_feedback_ctl_next
4916 **
4917 ** @param xcb_input_string_feedback_ctl_iterator_t *i
4918 ** @returns void
4919 **
4920 *****************************************************************************/
4921
4922 void
4923 xcb_input_string_feedback_ctl_next (xcb_input_string_feedback_ctl_iterator_t *i );
4924
4935 /*****************************************************************************
4936 **
4937 ** xcb_generic_iterator_t xcb_input_string_feedback_ctl_end
4938 **
4939 ** @param xcb_input_string_feedback_ctl_iterator_t i
4940 ** @returns xcb_generic_iterator_t
4941 **
4942 *****************************************************************************/
4943
4944 xcb_generic_iterator_t
4945 xcb_input_string_feedback_ctl_end (xcb_input_string_feedback_ctl_iterator_t i );
4946
4956 /*****************************************************************************
4957 **
4958 ** void xcb_input_bell_feedback_ctl_next
4959 **
4960 ** @param xcb_input_bell_feedback_ctl_iterator_t *i
4961 ** @returns void
4962 **
4963 *****************************************************************************/
4964
4965 void
4966 xcb_input_bell_feedback_ctl_next (xcb_input_bell_feedback_ctl_iterator_t *i );
4967
4978 /*****************************************************************************
4979 **
4980 ** xcb_generic_iterator_t xcb_input_bell_feedback_ctl_end
4981 **
4982 ** @param xcb_input_bell_feedback_ctl_iterator_t i
4983 ** @returns xcb_generic_iterator_t
4984 **
4985 *****************************************************************************/
4986
4987 xcb_generic_iterator_t
4988 xcb_input_bell_feedback_ctl_end (xcb_input_bell_feedback_ctl_iterator_t i );
4989
4999 /*****************************************************************************
5000 **
5001 ** void xcb_input_led_feedback_ctl_next
5002 **
5003 ** @param xcb_input_led_feedback_ctl_iterator_t *i
5004 ** @returns void
5005 **
5006 *****************************************************************************/
5007
5008 void
5009 xcb_input_led_feedback_ctl_next (xcb_input_led_feedback_ctl_iterator_t *i );
5010
5021 /*****************************************************************************
5022 **
5023 ** xcb_generic_iterator_t xcb_input_led_feedback_ctl_end
5024 **
5025 ** @param xcb_input_led_feedback_ctl_iterator_t i
5026 ** @returns xcb_generic_iterator_t
5027 **
5028 *****************************************************************************/
5029
5030 xcb_generic_iterator_t
5031 xcb_input_led_feedback_ctl_end (xcb_input_led_feedback_ctl_iterator_t i );
5032
5033 int
5034 xcb_input_get_device_key_mapping_sizeof (const void *_buffer );
5035
5045 /*****************************************************************************
5046 **
5047 ** xcb_input_get_device_key_mapping_cookie_t xcb_input_get_device_key_mapping
5048 **
5049 ** @param xcb_connection_t *c
5050 ** @param uint8_t device_id
5051 ** @param xcb_input_key_code_t first_keycode
5052 ** @param uint8_t count
5053 ** @returns xcb_input_get_device_key_mapping_cookie_t
5054 **
5055 *****************************************************************************/
5056
5057 xcb_input_get_device_key_mapping_cookie_t
5058 xcb_input_get_device_key_mapping (xcb_connection_t *c ,
5059 uint8_t device_id ,
5060 xcb_input_key_code_t first_keycode ,
5061 uint8_t count );
5062
5075 /*****************************************************************************
5076 **
5077 ** xcb_input_get_device_key_mapping_cookie_t xcb_input_get_device_key_mapping_unchecked
5078 **
5079 ** @param xcb_connection_t *c
5080 ** @param uint8_t device_id
5081 ** @param xcb_input_key_code_t first_keycode
5082 ** @param uint8_t count
5083 ** @returns xcb_input_get_device_key_mapping_cookie_t
5084 **
5085 *****************************************************************************/
5086
5087 xcb_input_get_device_key_mapping_cookie_t
5088 xcb_input_get_device_key_mapping_unchecked (xcb_connection_t *c ,
5089 uint8_t device_id ,
5090 xcb_input_key_code_t first_keycode ,
5091 uint8_t count );
5092
5093
5094 /*****************************************************************************
5095 **
5096 ** xcb_keysym_t * xcb_input_get_device_key_mapping_keysyms
5097 **
5098 ** @param const xcb_input_get_device_key_mapping_reply_t *R
5099 ** @returns xcb_keysym_t *
5100 **
5101 *****************************************************************************/
5102
5103 xcb_keysym_t *
5104 xcb_input_get_device_key_mapping_keysyms (const xcb_input_get_device_key_mapping_reply_t *R );
5105
5106
5107 /*****************************************************************************
5108 **
5109 ** int xcb_input_get_device_key_mapping_keysyms_length
5110 **
5111 ** @param const xcb_input_get_device_key_mapping_reply_t *R
5112 ** @returns int
5113 **
5114 *****************************************************************************/
5115
5116 int
5117 xcb_input_get_device_key_mapping_keysyms_length (const xcb_input_get_device_key_mapping_reply_t *R );
5118
5119
5120 /*****************************************************************************
5121 **
5122 ** xcb_generic_iterator_t xcb_input_get_device_key_mapping_keysyms_end
5123 **
5124 ** @param const xcb_input_get_device_key_mapping_reply_t *R
5125 ** @returns xcb_generic_iterator_t
5126 **
5127 *****************************************************************************/
5128
5129 xcb_generic_iterator_t
5130 xcb_input_get_device_key_mapping_keysyms_end (const xcb_input_get_device_key_mapping_reply_t *R );
5131
5147 /*****************************************************************************
5148 **
5149 ** xcb_input_get_device_key_mapping_reply_t * xcb_input_get_device_key_mapping_reply
5150 **
5151 ** @param xcb_connection_t *c
5152 ** @param xcb_input_get_device_key_mapping_cookie_t cookie
5153 ** @param xcb_generic_error_t **e
5154 ** @returns xcb_input_get_device_key_mapping_reply_t *
5155 **
5156 *****************************************************************************/
5157
5158 xcb_input_get_device_key_mapping_reply_t *
5159 xcb_input_get_device_key_mapping_reply (xcb_connection_t *c ,
5160 xcb_input_get_device_key_mapping_cookie_t cookie ,
5161 xcb_generic_error_t **e );
5162
5163 int
5164 xcb_input_change_device_key_mapping_sizeof (const void *_buffer );
5165
5178 /*****************************************************************************
5179 **
5180 ** xcb_void_cookie_t xcb_input_change_device_key_mapping_checked
5181 **
5182 ** @param xcb_connection_t *c
5183 ** @param uint8_t device_id
5184 ** @param xcb_input_key_code_t first_keycode
5185 ** @param uint8_t keysyms_per_keycode
5186 ** @param uint8_t keycode_count
5187 ** @param const xcb_keysym_t *keysyms
5188 ** @returns xcb_void_cookie_t
5189 **
5190 *****************************************************************************/
5191
5192 xcb_void_cookie_t
5193 xcb_input_change_device_key_mapping_checked (xcb_connection_t *c ,
5194 uint8_t device_id ,
5195 xcb_input_key_code_t first_keycode ,
5196 uint8_t keysyms_per_keycode ,
5197 uint8_t keycode_count ,
5198 const xcb_keysym_t *keysyms );
5199
5209 /*****************************************************************************
5210 **
5211 ** xcb_void_cookie_t xcb_input_change_device_key_mapping
5212 **
5213 ** @param xcb_connection_t *c
5214 ** @param uint8_t device_id
5215 ** @param xcb_input_key_code_t first_keycode
5216 ** @param uint8_t keysyms_per_keycode
5217 ** @param uint8_t keycode_count
5218 ** @param const xcb_keysym_t *keysyms
5219 ** @returns xcb_void_cookie_t
5220 **
5221 *****************************************************************************/
5222
5223 xcb_void_cookie_t
5224 xcb_input_change_device_key_mapping (xcb_connection_t *c ,
5225 uint8_t device_id ,
5226 xcb_input_key_code_t first_keycode ,
5227 uint8_t keysyms_per_keycode ,
5228 uint8_t keycode_count ,
5229 const xcb_keysym_t *keysyms );
5230
5231 int
5232 xcb_input_get_device_modifier_mapping_sizeof (const void *_buffer );
5233
5243 /*****************************************************************************
5244 **
5245 ** xcb_input_get_device_modifier_mapping_cookie_t xcb_input_get_device_modifier_mapping
5246 **
5247 ** @param xcb_connection_t *c
5248 ** @param uint8_t device_id
5249 ** @returns xcb_input_get_device_modifier_mapping_cookie_t
5250 **
5251 *****************************************************************************/
5252
5253 xcb_input_get_device_modifier_mapping_cookie_t
5254 xcb_input_get_device_modifier_mapping (xcb_connection_t *c ,
5255 uint8_t device_id );
5256
5269 /*****************************************************************************
5270 **
5271 ** xcb_input_get_device_modifier_mapping_cookie_t xcb_input_get_device_modifier_mapping_unchecked
5272 **
5273 ** @param xcb_connection_t *c
5274 ** @param uint8_t device_id
5275 ** @returns xcb_input_get_device_modifier_mapping_cookie_t
5276 **
5277 *****************************************************************************/
5278
5279 xcb_input_get_device_modifier_mapping_cookie_t
5280 xcb_input_get_device_modifier_mapping_unchecked (xcb_connection_t *c ,
5281 uint8_t device_id );
5282
5283
5284 /*****************************************************************************
5285 **
5286 ** uint8_t * xcb_input_get_device_modifier_mapping_keymaps
5287 **
5288 ** @param const xcb_input_get_device_modifier_mapping_reply_t *R
5289 ** @returns uint8_t *
5290 **
5291 *****************************************************************************/
5292
5293 uint8_t *
5294 xcb_input_get_device_modifier_mapping_keymaps (const xcb_input_get_device_modifier_mapping_reply_t *R );
5295
5296
5297 /*****************************************************************************
5298 **
5299 ** int xcb_input_get_device_modifier_mapping_keymaps_length
5300 **
5301 ** @param const xcb_input_get_device_modifier_mapping_reply_t *R
5302 ** @returns int
5303 **
5304 *****************************************************************************/
5305
5306 int
5307 xcb_input_get_device_modifier_mapping_keymaps_length (const xcb_input_get_device_modifier_mapping_reply_t *R );
5308
5309
5310 /*****************************************************************************
5311 **
5312 ** xcb_generic_iterator_t xcb_input_get_device_modifier_mapping_keymaps_end
5313 **
5314 ** @param const xcb_input_get_device_modifier_mapping_reply_t *R
5315 ** @returns xcb_generic_iterator_t
5316 **
5317 *****************************************************************************/
5318
5319 xcb_generic_iterator_t
5320 xcb_input_get_device_modifier_mapping_keymaps_end (const xcb_input_get_device_modifier_mapping_reply_t *R );
5321
5337 /*****************************************************************************
5338 **
5339 ** xcb_input_get_device_modifier_mapping_reply_t * xcb_input_get_device_modifier_mapping_reply
5340 **
5341 ** @param xcb_connection_t *c
5342 ** @param xcb_input_get_device_modifier_mapping_cookie_t cookie
5343 ** @param xcb_generic_error_t **e
5344 ** @returns xcb_input_get_device_modifier_mapping_reply_t *
5345 **
5346 *****************************************************************************/
5347
5348 xcb_input_get_device_modifier_mapping_reply_t *
5349 xcb_input_get_device_modifier_mapping_reply (xcb_connection_t *c ,
5350 xcb_input_get_device_modifier_mapping_cookie_t cookie ,
5351 xcb_generic_error_t **e );
5352
5353 int
5354 xcb_input_set_device_modifier_mapping_sizeof (const void *_buffer );
5355
5365 /*****************************************************************************
5366 **
5367 ** xcb_input_set_device_modifier_mapping_cookie_t xcb_input_set_device_modifier_mapping
5368 **
5369 ** @param xcb_connection_t *c
5370 ** @param uint8_t device_id
5371 ** @param uint8_t keycodes_per_modifier
5372 ** @param const uint8_t *keymaps
5373 ** @returns xcb_input_set_device_modifier_mapping_cookie_t
5374 **
5375 *****************************************************************************/
5376
5377 xcb_input_set_device_modifier_mapping_cookie_t
5378 xcb_input_set_device_modifier_mapping (xcb_connection_t *c ,
5379 uint8_t device_id ,
5380 uint8_t keycodes_per_modifier ,
5381 const uint8_t *keymaps );
5382
5395 /*****************************************************************************
5396 **
5397 ** xcb_input_set_device_modifier_mapping_cookie_t xcb_input_set_device_modifier_mapping_unchecked
5398 **
5399 ** @param xcb_connection_t *c
5400 ** @param uint8_t device_id
5401 ** @param uint8_t keycodes_per_modifier
5402 ** @param const uint8_t *keymaps
5403 ** @returns xcb_input_set_device_modifier_mapping_cookie_t
5404 **
5405 *****************************************************************************/
5406
5407 xcb_input_set_device_modifier_mapping_cookie_t
5408 xcb_input_set_device_modifier_mapping_unchecked (xcb_connection_t *c ,
5409 uint8_t device_id ,
5410 uint8_t keycodes_per_modifier ,
5411 const uint8_t *keymaps );
5412
5428 /*****************************************************************************
5429 **
5430 ** xcb_input_set_device_modifier_mapping_reply_t * xcb_input_set_device_modifier_mapping_reply
5431 **
5432 ** @param xcb_connection_t *c
5433 ** @param xcb_input_set_device_modifier_mapping_cookie_t cookie
5434 ** @param xcb_generic_error_t **e
5435 ** @returns xcb_input_set_device_modifier_mapping_reply_t *
5436 **
5437 *****************************************************************************/
5438
5439 xcb_input_set_device_modifier_mapping_reply_t *
5440 xcb_input_set_device_modifier_mapping_reply (xcb_connection_t *c ,
5441 xcb_input_set_device_modifier_mapping_cookie_t cookie ,
5442 xcb_generic_error_t **e );
5443
5444 int
5445 xcb_input_get_device_button_mapping_sizeof (const void *_buffer );
5446
5456 /*****************************************************************************
5457 **
5458 ** xcb_input_get_device_button_mapping_cookie_t xcb_input_get_device_button_mapping
5459 **
5460 ** @param xcb_connection_t *c
5461 ** @param uint8_t device_id
5462 ** @returns xcb_input_get_device_button_mapping_cookie_t
5463 **
5464 *****************************************************************************/
5465
5466 xcb_input_get_device_button_mapping_cookie_t
5467 xcb_input_get_device_button_mapping (xcb_connection_t *c ,
5468 uint8_t device_id );
5469
5482 /*****************************************************************************
5483 **
5484 ** xcb_input_get_device_button_mapping_cookie_t xcb_input_get_device_button_mapping_unchecked
5485 **
5486 ** @param xcb_connection_t *c
5487 ** @param uint8_t device_id
5488 ** @returns xcb_input_get_device_button_mapping_cookie_t
5489 **
5490 *****************************************************************************/
5491
5492 xcb_input_get_device_button_mapping_cookie_t
5493 xcb_input_get_device_button_mapping_unchecked (xcb_connection_t *c ,
5494 uint8_t device_id );
5495
5496
5497 /*****************************************************************************
5498 **
5499 ** uint8_t * xcb_input_get_device_button_mapping_map
5500 **
5501 ** @param const xcb_input_get_device_button_mapping_reply_t *R
5502 ** @returns uint8_t *
5503 **
5504 *****************************************************************************/
5505
5506 uint8_t *
5507 xcb_input_get_device_button_mapping_map (const xcb_input_get_device_button_mapping_reply_t *R );
5508
5509
5510 /*****************************************************************************
5511 **
5512 ** int xcb_input_get_device_button_mapping_map_length
5513 **
5514 ** @param const xcb_input_get_device_button_mapping_reply_t *R
5515 ** @returns int
5516 **
5517 *****************************************************************************/
5518
5519 int
5520 xcb_input_get_device_button_mapping_map_length (const xcb_input_get_device_button_mapping_reply_t *R );
5521
5522
5523 /*****************************************************************************
5524 **
5525 ** xcb_generic_iterator_t xcb_input_get_device_button_mapping_map_end
5526 **
5527 ** @param const xcb_input_get_device_button_mapping_reply_t *R
5528 ** @returns xcb_generic_iterator_t
5529 **
5530 *****************************************************************************/
5531
5532 xcb_generic_iterator_t
5533 xcb_input_get_device_button_mapping_map_end (const xcb_input_get_device_button_mapping_reply_t *R );
5534
5550 /*****************************************************************************
5551 **
5552 ** xcb_input_get_device_button_mapping_reply_t * xcb_input_get_device_button_mapping_reply
5553 **
5554 ** @param xcb_connection_t *c
5555 ** @param xcb_input_get_device_button_mapping_cookie_t cookie
5556 ** @param xcb_generic_error_t **e
5557 ** @returns xcb_input_get_device_button_mapping_reply_t *
5558 **
5559 *****************************************************************************/
5560
5561 xcb_input_get_device_button_mapping_reply_t *
5562 xcb_input_get_device_button_mapping_reply (xcb_connection_t *c ,
5563 xcb_input_get_device_button_mapping_cookie_t cookie ,
5564 xcb_generic_error_t **e );
5565
5566 int
5567 xcb_input_set_device_button_mapping_sizeof (const void *_buffer );
5568
5578 /*****************************************************************************
5579 **
5580 ** xcb_input_set_device_button_mapping_cookie_t xcb_input_set_device_button_mapping
5581 **
5582 ** @param xcb_connection_t *c
5583 ** @param uint8_t device_id
5584 ** @param uint8_t map_size
5585 ** @param const uint8_t *map
5586 ** @returns xcb_input_set_device_button_mapping_cookie_t
5587 **
5588 *****************************************************************************/
5589
5590 xcb_input_set_device_button_mapping_cookie_t
5591 xcb_input_set_device_button_mapping (xcb_connection_t *c ,
5592 uint8_t device_id ,
5593 uint8_t map_size ,
5594 const uint8_t *map );
5595
5608 /*****************************************************************************
5609 **
5610 ** xcb_input_set_device_button_mapping_cookie_t xcb_input_set_device_button_mapping_unchecked
5611 **
5612 ** @param xcb_connection_t *c
5613 ** @param uint8_t device_id
5614 ** @param uint8_t map_size
5615 ** @param const uint8_t *map
5616 ** @returns xcb_input_set_device_button_mapping_cookie_t
5617 **
5618 *****************************************************************************/
5619
5620 xcb_input_set_device_button_mapping_cookie_t
5621 xcb_input_set_device_button_mapping_unchecked (xcb_connection_t *c ,
5622 uint8_t device_id ,
5623 uint8_t map_size ,
5624 const uint8_t *map );
5625
5641 /*****************************************************************************
5642 **
5643 ** xcb_input_set_device_button_mapping_reply_t * xcb_input_set_device_button_mapping_reply
5644 **
5645 ** @param xcb_connection_t *c
5646 ** @param xcb_input_set_device_button_mapping_cookie_t cookie
5647 ** @param xcb_generic_error_t **e
5648 ** @returns xcb_input_set_device_button_mapping_reply_t *
5649 **
5650 *****************************************************************************/
5651
5652 xcb_input_set_device_button_mapping_reply_t *
5653 xcb_input_set_device_button_mapping_reply (xcb_connection_t *c ,
5654 xcb_input_set_device_button_mapping_cookie_t cookie ,
5655 xcb_generic_error_t **e );
5656
5666 /*****************************************************************************
5667 **
5668 ** xcb_input_query_device_state_cookie_t xcb_input_query_device_state
5669 **
5670 ** @param xcb_connection_t *c
5671 ** @param uint8_t device_id
5672 ** @returns xcb_input_query_device_state_cookie_t
5673 **
5674 *****************************************************************************/
5675
5676 xcb_input_query_device_state_cookie_t
5677 xcb_input_query_device_state (xcb_connection_t *c ,
5678 uint8_t device_id );
5679
5692 /*****************************************************************************
5693 **
5694 ** xcb_input_query_device_state_cookie_t xcb_input_query_device_state_unchecked
5695 **
5696 ** @param xcb_connection_t *c
5697 ** @param uint8_t device_id
5698 ** @returns xcb_input_query_device_state_cookie_t
5699 **
5700 *****************************************************************************/
5701
5702 xcb_input_query_device_state_cookie_t
5703 xcb_input_query_device_state_unchecked (xcb_connection_t *c ,
5704 uint8_t device_id );
5705
5721 /*****************************************************************************
5722 **
5723 ** xcb_input_query_device_state_reply_t * xcb_input_query_device_state_reply
5724 **
5725 ** @param xcb_connection_t *c
5726 ** @param xcb_input_query_device_state_cookie_t cookie
5727 ** @param xcb_generic_error_t **e
5728 ** @returns xcb_input_query_device_state_reply_t *
5729 **
5730 *****************************************************************************/
5731
5732 xcb_input_query_device_state_reply_t *
5733 xcb_input_query_device_state_reply (xcb_connection_t *c ,
5734 xcb_input_query_device_state_cookie_t cookie ,
5735 xcb_generic_error_t **e );
5736
5746 /*****************************************************************************
5747 **
5748 ** void xcb_input_input_state_next
5749 **
5750 ** @param xcb_input_input_state_iterator_t *i
5751 ** @returns void
5752 **
5753 *****************************************************************************/
5754
5755 void
5756 xcb_input_input_state_next (xcb_input_input_state_iterator_t *i );
5757
5768 /*****************************************************************************
5769 **
5770 ** xcb_generic_iterator_t xcb_input_input_state_end
5771 **
5772 ** @param xcb_input_input_state_iterator_t i
5773 ** @returns xcb_generic_iterator_t
5774 **
5775 *****************************************************************************/
5776
5777 xcb_generic_iterator_t
5778 xcb_input_input_state_end (xcb_input_input_state_iterator_t i );
5779
5789 /*****************************************************************************
5790 **
5791 ** void xcb_input_key_state_next
5792 **
5793 ** @param xcb_input_key_state_iterator_t *i
5794 ** @returns void
5795 **
5796 *****************************************************************************/
5797
5798 void
5799 xcb_input_key_state_next (xcb_input_key_state_iterator_t *i );
5800
5811 /*****************************************************************************
5812 **
5813 ** xcb_generic_iterator_t xcb_input_key_state_end
5814 **
5815 ** @param xcb_input_key_state_iterator_t i
5816 ** @returns xcb_generic_iterator_t
5817 **
5818 *****************************************************************************/
5819
5820 xcb_generic_iterator_t
5821 xcb_input_key_state_end (xcb_input_key_state_iterator_t i );
5822
5832 /*****************************************************************************
5833 **
5834 ** void xcb_input_button_state_next
5835 **
5836 ** @param xcb_input_button_state_iterator_t *i
5837 ** @returns void
5838 **
5839 *****************************************************************************/
5840
5841 void
5842 xcb_input_button_state_next (xcb_input_button_state_iterator_t *i );
5843
5854 /*****************************************************************************
5855 **
5856 ** xcb_generic_iterator_t xcb_input_button_state_end
5857 **
5858 ** @param xcb_input_button_state_iterator_t i
5859 ** @returns xcb_generic_iterator_t
5860 **
5861 *****************************************************************************/
5862
5863 xcb_generic_iterator_t
5864 xcb_input_button_state_end (xcb_input_button_state_iterator_t i );
5865
5866 int
5867 xcb_input_valuator_state_sizeof (const void *_buffer );
5868
5869
5870 /*****************************************************************************
5871 **
5872 ** uint32_t * xcb_input_valuator_state_valuators
5873 **
5874 ** @param const xcb_input_valuator_state_t *R
5875 ** @returns uint32_t *
5876 **
5877 *****************************************************************************/
5878
5879 uint32_t *
5880 xcb_input_valuator_state_valuators (const xcb_input_valuator_state_t *R );
5881
5882
5883 /*****************************************************************************
5884 **
5885 ** int xcb_input_valuator_state_valuators_length
5886 **
5887 ** @param const xcb_input_valuator_state_t *R
5888 ** @returns int
5889 **
5890 *****************************************************************************/
5891
5892 int
5893 xcb_input_valuator_state_valuators_length (const xcb_input_valuator_state_t *R );
5894
5895
5896 /*****************************************************************************
5897 **
5898 ** xcb_generic_iterator_t xcb_input_valuator_state_valuators_end
5899 **
5900 ** @param const xcb_input_valuator_state_t *R
5901 ** @returns xcb_generic_iterator_t
5902 **
5903 *****************************************************************************/
5904
5905 xcb_generic_iterator_t
5906 xcb_input_valuator_state_valuators_end (const xcb_input_valuator_state_t *R );
5907
5917 /*****************************************************************************
5918 **
5919 ** void xcb_input_valuator_state_next
5920 **
5921 ** @param xcb_input_valuator_state_iterator_t *i
5922 ** @returns void
5923 **
5924 *****************************************************************************/
5925
5926 void
5927 xcb_input_valuator_state_next (xcb_input_valuator_state_iterator_t *i );
5928
5939 /*****************************************************************************
5940 **
5941 ** xcb_generic_iterator_t xcb_input_valuator_state_end
5942 **
5943 ** @param xcb_input_valuator_state_iterator_t i
5944 ** @returns xcb_generic_iterator_t
5945 **
5946 *****************************************************************************/
5947
5948 xcb_generic_iterator_t
5949 xcb_input_valuator_state_end (xcb_input_valuator_state_iterator_t i );
5950
5951 int
5952 xcb_input_send_extension_event_sizeof (const void *_buffer );
5953
5966 /*****************************************************************************
5967 **
5968 ** xcb_void_cookie_t xcb_input_send_extension_event_checked
5969 **
5970 ** @param xcb_connection_t *c
5971 ** @param xcb_window_t destination
5972 ** @param uint8_t device_id
5973 ** @param uint8_t propagate
5974 ** @param uint16_t num_classes
5975 ** @param uint8_t num_events
5976 ** @param const char *events
5977 ** @param const xcb_input_event_class_t *classes
5978 ** @returns xcb_void_cookie_t
5979 **
5980 *****************************************************************************/
5981
5982 xcb_void_cookie_t
5983 xcb_input_send_extension_event_checked (xcb_connection_t *c ,
5984 xcb_window_t destination ,
5985 uint8_t device_id ,
5986 uint8_t propagate ,
5987 uint16_t num_classes ,
5988 uint8_t num_events ,
5989 const char *events ,
5990 const xcb_input_event_class_t *classes );
5991
6001 /*****************************************************************************
6002 **
6003 ** xcb_void_cookie_t xcb_input_send_extension_event
6004 **
6005 ** @param xcb_connection_t *c
6006 ** @param xcb_window_t destination
6007 ** @param uint8_t device_id
6008 ** @param uint8_t propagate
6009 ** @param uint16_t num_classes
6010 ** @param uint8_t num_events
6011 ** @param const char *events
6012 ** @param const xcb_input_event_class_t *classes
6013 ** @returns xcb_void_cookie_t
6014 **
6015 *****************************************************************************/
6016
6017 xcb_void_cookie_t
6018 xcb_input_send_extension_event (xcb_connection_t *c ,
6019 xcb_window_t destination ,
6020 uint8_t device_id ,
6021 uint8_t propagate ,
6022 uint16_t num_classes ,
6023 uint8_t num_events ,
6024 const char *events ,
6025 const xcb_input_event_class_t *classes );
6026
6039 /*****************************************************************************
6040 **
6041 ** xcb_void_cookie_t xcb_input_device_bell_checked
6042 **
6043 ** @param xcb_connection_t *c
6044 ** @param uint8_t device_id
6045 ** @param uint8_t feedback_id
6046 ** @param uint8_t feedback_class
6047 ** @param int8_t percent
6048 ** @returns xcb_void_cookie_t
6049 **
6050 *****************************************************************************/
6051
6052 xcb_void_cookie_t
6053 xcb_input_device_bell_checked (xcb_connection_t *c ,
6054 uint8_t device_id ,
6055 uint8_t feedback_id ,
6056 uint8_t feedback_class ,
6057 int8_t percent );
6058
6068 /*****************************************************************************
6069 **
6070 ** xcb_void_cookie_t xcb_input_device_bell
6071 **
6072 ** @param xcb_connection_t *c
6073 ** @param uint8_t device_id
6074 ** @param uint8_t feedback_id
6075 ** @param uint8_t feedback_class
6076 ** @param int8_t percent
6077 ** @returns xcb_void_cookie_t
6078 **
6079 *****************************************************************************/
6080
6081 xcb_void_cookie_t
6082 xcb_input_device_bell (xcb_connection_t *c ,
6083 uint8_t device_id ,
6084 uint8_t feedback_id ,
6085 uint8_t feedback_class ,
6086 int8_t percent );
6087
6088 int
6089 xcb_input_set_device_valuators_sizeof (const void *_buffer );
6090
6100 /*****************************************************************************
6101 **
6102 ** xcb_input_set_device_valuators_cookie_t xcb_input_set_device_valuators
6103 **
6104 ** @param xcb_connection_t *c
6105 ** @param uint8_t device_id
6106 ** @param uint8_t first_valuator
6107 ** @param uint8_t num_valuators
6108 ** @param const int32_t *valuators
6109 ** @returns xcb_input_set_device_valuators_cookie_t
6110 **
6111 *****************************************************************************/
6112
6113 xcb_input_set_device_valuators_cookie_t
6114 xcb_input_set_device_valuators (xcb_connection_t *c ,
6115 uint8_t device_id ,
6116 uint8_t first_valuator ,
6117 uint8_t num_valuators ,
6118 const int32_t *valuators );
6119
6132 /*****************************************************************************
6133 **
6134 ** xcb_input_set_device_valuators_cookie_t xcb_input_set_device_valuators_unchecked
6135 **
6136 ** @param xcb_connection_t *c
6137 ** @param uint8_t device_id
6138 ** @param uint8_t first_valuator
6139 ** @param uint8_t num_valuators
6140 ** @param const int32_t *valuators
6141 ** @returns xcb_input_set_device_valuators_cookie_t
6142 **
6143 *****************************************************************************/
6144
6145 xcb_input_set_device_valuators_cookie_t
6146 xcb_input_set_device_valuators_unchecked (xcb_connection_t *c ,
6147 uint8_t device_id ,
6148 uint8_t first_valuator ,
6149 uint8_t num_valuators ,
6150 const int32_t *valuators );
6151
6167 /*****************************************************************************
6168 **
6169 ** xcb_input_set_device_valuators_reply_t * xcb_input_set_device_valuators_reply
6170 **
6171 ** @param xcb_connection_t *c
6172 ** @param xcb_input_set_device_valuators_cookie_t cookie
6173 ** @param xcb_generic_error_t **e
6174 ** @returns xcb_input_set_device_valuators_reply_t *
6175 **
6176 *****************************************************************************/
6177
6178 xcb_input_set_device_valuators_reply_t *
6179 xcb_input_set_device_valuators_reply (xcb_connection_t *c ,
6180 xcb_input_set_device_valuators_cookie_t cookie ,
6181 xcb_generic_error_t **e );
6182
6192 /*****************************************************************************
6193 **
6194 ** xcb_input_get_device_control_cookie_t xcb_input_get_device_control
6195 **
6196 ** @param xcb_connection_t *c
6197 ** @param uint16_t control_id
6198 ** @param uint8_t device_id
6199 ** @returns xcb_input_get_device_control_cookie_t
6200 **
6201 *****************************************************************************/
6202
6203 xcb_input_get_device_control_cookie_t
6204 xcb_input_get_device_control (xcb_connection_t *c ,
6205 uint16_t control_id ,
6206 uint8_t device_id );
6207
6220 /*****************************************************************************
6221 **
6222 ** xcb_input_get_device_control_cookie_t xcb_input_get_device_control_unchecked
6223 **
6224 ** @param xcb_connection_t *c
6225 ** @param uint16_t control_id
6226 ** @param uint8_t device_id
6227 ** @returns xcb_input_get_device_control_cookie_t
6228 **
6229 *****************************************************************************/
6230
6231 xcb_input_get_device_control_cookie_t
6232 xcb_input_get_device_control_unchecked (xcb_connection_t *c ,
6233 uint16_t control_id ,
6234 uint8_t device_id );
6235
6251 /*****************************************************************************
6252 **
6253 ** xcb_input_get_device_control_reply_t * xcb_input_get_device_control_reply
6254 **
6255 ** @param xcb_connection_t *c
6256 ** @param xcb_input_get_device_control_cookie_t cookie
6257 ** @param xcb_generic_error_t **e
6258 ** @returns xcb_input_get_device_control_reply_t *
6259 **
6260 *****************************************************************************/
6261
6262 xcb_input_get_device_control_reply_t *
6263 xcb_input_get_device_control_reply (xcb_connection_t *c ,
6264 xcb_input_get_device_control_cookie_t cookie ,
6265 xcb_generic_error_t **e );
6266
6276 /*****************************************************************************
6277 **
6278 ** void xcb_input_device_state_next
6279 **
6280 ** @param xcb_input_device_state_iterator_t *i
6281 ** @returns void
6282 **
6283 *****************************************************************************/
6284
6285 void
6286 xcb_input_device_state_next (xcb_input_device_state_iterator_t *i );
6287
6298 /*****************************************************************************
6299 **
6300 ** xcb_generic_iterator_t xcb_input_device_state_end
6301 **
6302 ** @param xcb_input_device_state_iterator_t i
6303 ** @returns xcb_generic_iterator_t
6304 **
6305 *****************************************************************************/
6306
6307 xcb_generic_iterator_t
6308 xcb_input_device_state_end (xcb_input_device_state_iterator_t i );
6309
6310 int
6311 xcb_input_device_resolution_state_sizeof (const void *_buffer );
6312
6313
6314 /*****************************************************************************
6315 **
6316 ** uint32_t * xcb_input_device_resolution_state_resolution_values
6317 **
6318 ** @param const xcb_input_device_resolution_state_t *R
6319 ** @returns uint32_t *
6320 **
6321 *****************************************************************************/
6322
6323 uint32_t *
6324 xcb_input_device_resolution_state_resolution_values (const xcb_input_device_resolution_state_t *R );
6325
6326
6327 /*****************************************************************************
6328 **
6329 ** int xcb_input_device_resolution_state_resolution_values_length
6330 **
6331 ** @param const xcb_input_device_resolution_state_t *R
6332 ** @returns int
6333 **
6334 *****************************************************************************/
6335
6336 int
6337 xcb_input_device_resolution_state_resolution_values_length (const xcb_input_device_resolution_state_t *R );
6338
6339
6340 /*****************************************************************************
6341 **
6342 ** xcb_generic_iterator_t xcb_input_device_resolution_state_resolution_values_end
6343 **
6344 ** @param const xcb_input_device_resolution_state_t *R
6345 ** @returns xcb_generic_iterator_t
6346 **
6347 *****************************************************************************/
6348
6349 xcb_generic_iterator_t
6350 xcb_input_device_resolution_state_resolution_values_end (const xcb_input_device_resolution_state_t *R );
6351
6352
6353 /*****************************************************************************
6354 **
6355 ** uint32_t * xcb_input_device_resolution_state_resolution_min
6356 **
6357 ** @param const xcb_input_device_resolution_state_t *R
6358 ** @returns uint32_t *
6359 **
6360 *****************************************************************************/
6361
6362 uint32_t *
6363 xcb_input_device_resolution_state_resolution_min (const xcb_input_device_resolution_state_t *R );
6364
6365
6366 /*****************************************************************************
6367 **
6368 ** int xcb_input_device_resolution_state_resolution_min_length
6369 **
6370 ** @param const xcb_input_device_resolution_state_t *R
6371 ** @returns int
6372 **
6373 *****************************************************************************/
6374
6375 int
6376 xcb_input_device_resolution_state_resolution_min_length (const xcb_input_device_resolution_state_t *R );
6377
6378
6379 /*****************************************************************************
6380 **
6381 ** xcb_generic_iterator_t xcb_input_device_resolution_state_resolution_min_end
6382 **
6383 ** @param const xcb_input_device_resolution_state_t *R
6384 ** @returns xcb_generic_iterator_t
6385 **
6386 *****************************************************************************/
6387
6388 xcb_generic_iterator_t
6389 xcb_input_device_resolution_state_resolution_min_end (const xcb_input_device_resolution_state_t *R );
6390
6391
6392 /*****************************************************************************
6393 **
6394 ** uint32_t * xcb_input_device_resolution_state_resolution_max
6395 **
6396 ** @param const xcb_input_device_resolution_state_t *R
6397 ** @returns uint32_t *
6398 **
6399 *****************************************************************************/
6400
6401 uint32_t *
6402 xcb_input_device_resolution_state_resolution_max (const xcb_input_device_resolution_state_t *R );
6403
6404
6405 /*****************************************************************************
6406 **
6407 ** int xcb_input_device_resolution_state_resolution_max_length
6408 **
6409 ** @param const xcb_input_device_resolution_state_t *R
6410 ** @returns int
6411 **
6412 *****************************************************************************/
6413
6414 int
6415 xcb_input_device_resolution_state_resolution_max_length (const xcb_input_device_resolution_state_t *R );
6416
6417
6418 /*****************************************************************************
6419 **
6420 ** xcb_generic_iterator_t xcb_input_device_resolution_state_resolution_max_end
6421 **
6422 ** @param const xcb_input_device_resolution_state_t *R
6423 ** @returns xcb_generic_iterator_t
6424 **
6425 *****************************************************************************/
6426
6427 xcb_generic_iterator_t
6428 xcb_input_device_resolution_state_resolution_max_end (const xcb_input_device_resolution_state_t *R );
6429
6439 /*****************************************************************************
6440 **
6441 ** void xcb_input_device_resolution_state_next
6442 **
6443 ** @param xcb_input_device_resolution_state_iterator_t *i
6444 ** @returns void
6445 **
6446 *****************************************************************************/
6447
6448 void
6449 xcb_input_device_resolution_state_next (xcb_input_device_resolution_state_iterator_t *i );
6450
6461 /*****************************************************************************
6462 **
6463 ** xcb_generic_iterator_t xcb_input_device_resolution_state_end
6464 **
6465 ** @param xcb_input_device_resolution_state_iterator_t i
6466 ** @returns xcb_generic_iterator_t
6467 **
6468 *****************************************************************************/
6469
6470 xcb_generic_iterator_t
6471 xcb_input_device_resolution_state_end (xcb_input_device_resolution_state_iterator_t i );
6472
6482 /*****************************************************************************
6483 **
6484 ** void xcb_input_device_abs_calib_state_next
6485 **
6486 ** @param xcb_input_device_abs_calib_state_iterator_t *i
6487 ** @returns void
6488 **
6489 *****************************************************************************/
6490
6491 void
6492 xcb_input_device_abs_calib_state_next (xcb_input_device_abs_calib_state_iterator_t *i );
6493
6504 /*****************************************************************************
6505 **
6506 ** xcb_generic_iterator_t xcb_input_device_abs_calib_state_end
6507 **
6508 ** @param xcb_input_device_abs_calib_state_iterator_t i
6509 ** @returns xcb_generic_iterator_t
6510 **
6511 *****************************************************************************/
6512
6513 xcb_generic_iterator_t
6514 xcb_input_device_abs_calib_state_end (xcb_input_device_abs_calib_state_iterator_t i );
6515
6525 /*****************************************************************************
6526 **
6527 ** void xcb_input_device_abs_area_state_next
6528 **
6529 ** @param xcb_input_device_abs_area_state_iterator_t *i
6530 ** @returns void
6531 **
6532 *****************************************************************************/
6533
6534 void
6535 xcb_input_device_abs_area_state_next (xcb_input_device_abs_area_state_iterator_t *i );
6536
6547 /*****************************************************************************
6548 **
6549 ** xcb_generic_iterator_t xcb_input_device_abs_area_state_end
6550 **
6551 ** @param xcb_input_device_abs_area_state_iterator_t i
6552 ** @returns xcb_generic_iterator_t
6553 **
6554 *****************************************************************************/
6555
6556 xcb_generic_iterator_t
6557 xcb_input_device_abs_area_state_end (xcb_input_device_abs_area_state_iterator_t i );
6558
6568 /*****************************************************************************
6569 **
6570 ** void xcb_input_device_core_state_next
6571 **
6572 ** @param xcb_input_device_core_state_iterator_t *i
6573 ** @returns void
6574 **
6575 *****************************************************************************/
6576
6577 void
6578 xcb_input_device_core_state_next (xcb_input_device_core_state_iterator_t *i );
6579
6590 /*****************************************************************************
6591 **
6592 ** xcb_generic_iterator_t xcb_input_device_core_state_end
6593 **
6594 ** @param xcb_input_device_core_state_iterator_t i
6595 ** @returns xcb_generic_iterator_t
6596 **
6597 *****************************************************************************/
6598
6599 xcb_generic_iterator_t
6600 xcb_input_device_core_state_end (xcb_input_device_core_state_iterator_t i );
6601
6611 /*****************************************************************************
6612 **
6613 ** void xcb_input_device_enable_state_next
6614 **
6615 ** @param xcb_input_device_enable_state_iterator_t *i
6616 ** @returns void
6617 **
6618 *****************************************************************************/
6619
6620 void
6621 xcb_input_device_enable_state_next (xcb_input_device_enable_state_iterator_t *i );
6622
6633 /*****************************************************************************
6634 **
6635 ** xcb_generic_iterator_t xcb_input_device_enable_state_end
6636 **
6637 ** @param xcb_input_device_enable_state_iterator_t i
6638 ** @returns xcb_generic_iterator_t
6639 **
6640 *****************************************************************************/
6641
6642 xcb_generic_iterator_t
6643 xcb_input_device_enable_state_end (xcb_input_device_enable_state_iterator_t i );
6644
6654 /*****************************************************************************
6655 **
6656 ** void xcb_input_device_ctl_next
6657 **
6658 ** @param xcb_input_device_ctl_iterator_t *i
6659 ** @returns void
6660 **
6661 *****************************************************************************/
6662
6663 void
6664 xcb_input_device_ctl_next (xcb_input_device_ctl_iterator_t *i );
6665
6676 /*****************************************************************************
6677 **
6678 ** xcb_generic_iterator_t xcb_input_device_ctl_end
6679 **
6680 ** @param xcb_input_device_ctl_iterator_t i
6681 ** @returns xcb_generic_iterator_t
6682 **
6683 *****************************************************************************/
6684
6685 xcb_generic_iterator_t
6686 xcb_input_device_ctl_end (xcb_input_device_ctl_iterator_t i );
6687
6688 int
6689 xcb_input_device_resolution_ctl_sizeof (const void *_buffer );
6690
6691
6692 /*****************************************************************************
6693 **
6694 ** uint32_t * xcb_input_device_resolution_ctl_resolution_values
6695 **
6696 ** @param const xcb_input_device_resolution_ctl_t *R
6697 ** @returns uint32_t *
6698 **
6699 *****************************************************************************/
6700
6701 uint32_t *
6702 xcb_input_device_resolution_ctl_resolution_values (const xcb_input_device_resolution_ctl_t *R );
6703
6704
6705 /*****************************************************************************
6706 **
6707 ** int xcb_input_device_resolution_ctl_resolution_values_length
6708 **
6709 ** @param const xcb_input_device_resolution_ctl_t *R
6710 ** @returns int
6711 **
6712 *****************************************************************************/
6713
6714 int
6715 xcb_input_device_resolution_ctl_resolution_values_length (const xcb_input_device_resolution_ctl_t *R );
6716
6717
6718 /*****************************************************************************
6719 **
6720 ** xcb_generic_iterator_t xcb_input_device_resolution_ctl_resolution_values_end
6721 **
6722 ** @param const xcb_input_device_resolution_ctl_t *R
6723 ** @returns xcb_generic_iterator_t
6724 **
6725 *****************************************************************************/
6726
6727 xcb_generic_iterator_t
6728 xcb_input_device_resolution_ctl_resolution_values_end (const xcb_input_device_resolution_ctl_t *R );
6729
6739 /*****************************************************************************
6740 **
6741 ** void xcb_input_device_resolution_ctl_next
6742 **
6743 ** @param xcb_input_device_resolution_ctl_iterator_t *i
6744 ** @returns void
6745 **
6746 *****************************************************************************/
6747
6748 void
6749 xcb_input_device_resolution_ctl_next (xcb_input_device_resolution_ctl_iterator_t *i );
6750
6761 /*****************************************************************************
6762 **
6763 ** xcb_generic_iterator_t xcb_input_device_resolution_ctl_end
6764 **
6765 ** @param xcb_input_device_resolution_ctl_iterator_t i
6766 ** @returns xcb_generic_iterator_t
6767 **
6768 *****************************************************************************/
6769
6770 xcb_generic_iterator_t
6771 xcb_input_device_resolution_ctl_end (xcb_input_device_resolution_ctl_iterator_t i );
6772
6782 /*****************************************************************************
6783 **
6784 ** void xcb_input_device_abs_calib_ctl_next
6785 **
6786 ** @param xcb_input_device_abs_calib_ctl_iterator_t *i
6787 ** @returns void
6788 **
6789 *****************************************************************************/
6790
6791 void
6792 xcb_input_device_abs_calib_ctl_next (xcb_input_device_abs_calib_ctl_iterator_t *i );
6793
6804 /*****************************************************************************
6805 **
6806 ** xcb_generic_iterator_t xcb_input_device_abs_calib_ctl_end
6807 **
6808 ** @param xcb_input_device_abs_calib_ctl_iterator_t i
6809 ** @returns xcb_generic_iterator_t
6810 **
6811 *****************************************************************************/
6812
6813 xcb_generic_iterator_t
6814 xcb_input_device_abs_calib_ctl_end (xcb_input_device_abs_calib_ctl_iterator_t i );
6815
6825 /*****************************************************************************
6826 **
6827 ** void xcb_input_device_abs_area_ctrl_next
6828 **
6829 ** @param xcb_input_device_abs_area_ctrl_iterator_t *i
6830 ** @returns void
6831 **
6832 *****************************************************************************/
6833
6834 void
6835 xcb_input_device_abs_area_ctrl_next (xcb_input_device_abs_area_ctrl_iterator_t *i );
6836
6847 /*****************************************************************************
6848 **
6849 ** xcb_generic_iterator_t xcb_input_device_abs_area_ctrl_end
6850 **
6851 ** @param xcb_input_device_abs_area_ctrl_iterator_t i
6852 ** @returns xcb_generic_iterator_t
6853 **
6854 *****************************************************************************/
6855
6856 xcb_generic_iterator_t
6857 xcb_input_device_abs_area_ctrl_end (xcb_input_device_abs_area_ctrl_iterator_t i );
6858
6868 /*****************************************************************************
6869 **
6870 ** void xcb_input_device_core_ctrl_next
6871 **
6872 ** @param xcb_input_device_core_ctrl_iterator_t *i
6873 ** @returns void
6874 **
6875 *****************************************************************************/
6876
6877 void
6878 xcb_input_device_core_ctrl_next (xcb_input_device_core_ctrl_iterator_t *i );
6879
6890 /*****************************************************************************
6891 **
6892 ** xcb_generic_iterator_t xcb_input_device_core_ctrl_end
6893 **
6894 ** @param xcb_input_device_core_ctrl_iterator_t i
6895 ** @returns xcb_generic_iterator_t
6896 **
6897 *****************************************************************************/
6898
6899 xcb_generic_iterator_t
6900 xcb_input_device_core_ctrl_end (xcb_input_device_core_ctrl_iterator_t i );
6901
6911 /*****************************************************************************
6912 **
6913 ** void xcb_input_device_enable_ctrl_next
6914 **
6915 ** @param xcb_input_device_enable_ctrl_iterator_t *i
6916 ** @returns void
6917 **
6918 *****************************************************************************/
6919
6920 void
6921 xcb_input_device_enable_ctrl_next (xcb_input_device_enable_ctrl_iterator_t *i );
6922
6933 /*****************************************************************************
6934 **
6935 ** xcb_generic_iterator_t xcb_input_device_enable_ctrl_end
6936 **
6937 ** @param xcb_input_device_enable_ctrl_iterator_t i
6938 ** @returns xcb_generic_iterator_t
6939 **
6940 *****************************************************************************/
6941
6942 xcb_generic_iterator_t
6943 xcb_input_device_enable_ctrl_end (xcb_input_device_enable_ctrl_iterator_t i );
6944
6945
6946 #ifdef __cplusplus
6947 }
6948 #endif
6949
6950 #endif
6951